import { openBlock, createElementBlock, mergeProps, renderSlot, createElementVNode, createCommentVNode } from 'vue';

const _hoisted_1 = ["width", "height", "fill", "transform"];
const _hoisted_2 = {
  key: 0
};
const _hoisted_3 = ["stroke"];
const _hoisted_4 = ["stroke"];
const _hoisted_5 = {
  key: 1
};

const _hoisted_6 = /*#__PURE__*/createElementVNode("circle", {
  cx: "128",
  cy: "128",
  r: "96",
  opacity: "0.2"
}, null, -1);

const _hoisted_7 = ["stroke"];
const _hoisted_8 = ["stroke"];
const _hoisted_9 = {
  key: 2
};

const _hoisted_10 = /*#__PURE__*/createElementVNode("path", {
  d: "M128,24A104.1,104.1,0,0,0,24.1,132.1c2.1,54.7,47,98.8,101.8,99.9a104,104,0,0,0,91.4-50.8,4,4,0,0,0-4.1-6,52.5,52.5,0,0,1-9.2.8c-18.3,0-28.5-8-33.9-14.7a43.9,43.9,0,0,1-3.4-5A48,48,0,1,1,128,80a47.4,47.4,0,0,1,32,12.3v-4a8.2,8.2,0,0,1,7.5-8.3,8,8,0,0,1,8.5,8v40c0,14.6,4.9,32,28,32s27.6-16.2,28-30.5V128A104.1,104.1,0,0,0,128,24Z"
}, null, -1);

const _hoisted_11 = /*#__PURE__*/createElementVNode("circle", {
  cx: "128",
  cy: "128",
  r: "32"
}, null, -1);

const _hoisted_12 = [_hoisted_10, _hoisted_11];
const _hoisted_13 = {
  key: 3
};
const _hoisted_14 = ["stroke"];
const _hoisted_15 = ["stroke"];
const _hoisted_16 = {
  key: 4
};
const _hoisted_17 = ["stroke"];
const _hoisted_18 = ["stroke"];
const _hoisted_19 = {
  key: 5
};
const _hoisted_20 = ["stroke"];
const _hoisted_21 = ["stroke"];
function render(_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createElementBlock("svg", mergeProps({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 256 256",
    width: _ctx.size,
    height: _ctx.size,
    fill: _ctx.color,
    transform: _ctx.mirrored ? 'scale(-1, 1)' : undefined
  }, _ctx.$attrs), [renderSlot(_ctx.$slots, "default"), _ctx.weight === 'bold' ? (openBlock(), createElementBlock("g", _hoisted_2, [createElementVNode("circle", {
    cx: "128",
    cy: "128",
    r: "40",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "24"
  }, null, 8, _hoisted_3), createElementVNode("path", {
    d: "M181.1,208A96,96,0,1,1,224,128c0,22.1-8,40-28,40s-28-17.9-28-40V88",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "24"
  }, null, 8, _hoisted_4)])) : _ctx.weight === 'duotone' ? (openBlock(), createElementBlock("g", _hoisted_5, [_hoisted_6, createElementVNode("circle", {
    cx: "128",
    cy: "128",
    r: "40",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "16"
  }, null, 8, _hoisted_7), createElementVNode("path", {
    d: "M181.1,208A96,96,0,1,1,224,128c0,22.1-8,40-28,40s-28-17.9-28-40V88",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "16"
  }, null, 8, _hoisted_8)])) : _ctx.weight === 'fill' ? (openBlock(), createElementBlock("g", _hoisted_9, _hoisted_12)) : _ctx.weight === 'light' ? (openBlock(), createElementBlock("g", _hoisted_13, [createElementVNode("circle", {
    cx: "128",
    cy: "128",
    r: "40",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "12"
  }, null, 8, _hoisted_14), createElementVNode("path", {
    d: "M181.1,208A96,96,0,1,1,224,128c0,22.1-8,40-28,40s-28-17.9-28-40V88",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "12"
  }, null, 8, _hoisted_15)])) : _ctx.weight === 'thin' ? (openBlock(), createElementBlock("g", _hoisted_16, [createElementVNode("circle", {
    cx: "128",
    cy: "128",
    r: "40",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "8"
  }, null, 8, _hoisted_17), createElementVNode("path", {
    d: "M181.1,208A96,96,0,1,1,224,128c0,22.1-8,40-28,40s-28-17.9-28-40V88",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "8"
  }, null, 8, _hoisted_18)])) : _ctx.weight === 'regular' ? (openBlock(), createElementBlock("g", _hoisted_19, [createElementVNode("circle", {
    cx: "128",
    cy: "128",
    r: "40",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "16"
  }, null, 8, _hoisted_20), createElementVNode("path", {
    d: "M181.1,208A96,96,0,1,1,224,128c0,22.1-8,40-28,40s-28-17.9-28-40V88",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "16"
  }, null, 8, _hoisted_21)])) : createCommentVNode("", true)], 16, _hoisted_1);
}

export { render };
