import { openBlock, createElementBlock, mergeProps, renderSlot, createElementVNode, createCommentVNode, createStaticVNode } from 'vue';

const _hoisted_1 = ["width", "height", "fill", "transform"];
const _hoisted_2 = {
  key: 0
};
const _hoisted_3 = ["stroke"];
const _hoisted_4 = ["stroke"];

const _hoisted_5 = /*#__PURE__*/createElementVNode("circle", {
  cx: "104",
  cy: "128",
  r: "16"
}, null, -1);

const _hoisted_6 = /*#__PURE__*/createElementVNode("circle", {
  cx: "152",
  cy: "128",
  r: "16"
}, null, -1);

const _hoisted_7 = /*#__PURE__*/createElementVNode("circle", {
  cx: "104",
  cy: "176",
  r: "16"
}, null, -1);

const _hoisted_8 = /*#__PURE__*/createElementVNode("circle", {
  cx: "152",
  cy: "176",
  r: "16"
}, null, -1);

const _hoisted_9 = {
  key: 1
};

const _hoisted_10 = /*#__PURE__*/createElementVNode("rect", {
  x: "80",
  y: "64",
  width: "96",
  height: "48",
  opacity: "0.2"
}, null, -1);

const _hoisted_11 = ["stroke"];
const _hoisted_12 = ["stroke"];

const _hoisted_13 = /*#__PURE__*/createStaticVNode("<circle cx=\"88\" cy=\"148\" r=\"12\"></circle><circle cx=\"128\" cy=\"148\" r=\"12\"></circle><circle cx=\"168\" cy=\"148\" r=\"12\"></circle><circle cx=\"88\" cy=\"188\" r=\"12\"></circle><circle cx=\"128\" cy=\"188\" r=\"12\"></circle><circle cx=\"168\" cy=\"188\" r=\"12\"></circle>", 6);

const _hoisted_19 = {
  key: 2
};

const _hoisted_20 = /*#__PURE__*/createElementVNode("path", {
  d: "M200,24H56A16,16,0,0,0,40,40V216a16,16,0,0,0,16,16H200a16,16,0,0,0,16-16V40A16,16,0,0,0,200,24ZM88,200a12,12,0,1,1,12-12A12,12,0,0,1,88,200Zm0-40a12,12,0,1,1,12-12A12,12,0,0,1,88,160Zm40,40a12,12,0,1,1,12-12A12,12,0,0,1,128,200Zm0-40a12,12,0,1,1,12-12A12,12,0,0,1,128,160Zm40,40a12,12,0,1,1,12-12A12,12,0,0,1,168,200Zm0-40a12,12,0,1,1,12-12A12,12,0,0,1,168,160Zm16-56a8,8,0,0,1-8,8H80a8,8,0,0,1-8-8V64a8,8,0,0,1,8-8h96a8,8,0,0,1,8,8Z"
}, null, -1);

const _hoisted_21 = [_hoisted_20];
const _hoisted_22 = {
  key: 3
};
const _hoisted_23 = ["stroke"];
const _hoisted_24 = ["stroke"];

const _hoisted_25 = /*#__PURE__*/createStaticVNode("<circle cx=\"88\" cy=\"148\" r=\"10\"></circle><circle cx=\"128\" cy=\"148\" r=\"10\"></circle><circle cx=\"168\" cy=\"148\" r=\"10\"></circle><circle cx=\"88\" cy=\"188\" r=\"10\"></circle><circle cx=\"128\" cy=\"188\" r=\"10\"></circle><circle cx=\"168\" cy=\"188\" r=\"10\"></circle>", 6);

const _hoisted_31 = {
  key: 4
};
const _hoisted_32 = ["stroke"];
const _hoisted_33 = ["stroke"];

const _hoisted_34 = /*#__PURE__*/createStaticVNode("<circle cx=\"88\" cy=\"148\" r=\"8\"></circle><circle cx=\"128\" cy=\"148\" r=\"8\"></circle><circle cx=\"168\" cy=\"148\" r=\"8\"></circle><circle cx=\"88\" cy=\"188\" r=\"8\"></circle><circle cx=\"128\" cy=\"188\" r=\"8\"></circle><circle cx=\"168\" cy=\"188\" r=\"8\"></circle>", 6);

const _hoisted_40 = {
  key: 5
};
const _hoisted_41 = ["stroke"];
const _hoisted_42 = ["stroke"];

const _hoisted_43 = /*#__PURE__*/createStaticVNode("<circle cx=\"88\" cy=\"148\" r=\"12\"></circle><circle cx=\"128\" cy=\"148\" r=\"12\"></circle><circle cx=\"168\" cy=\"148\" r=\"12\"></circle><circle cx=\"88\" cy=\"188\" r=\"12\"></circle><circle cx=\"128\" cy=\"188\" r=\"12\"></circle><circle cx=\"168\" cy=\"188\" r=\"12\"></circle>", 6);

function render(_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createElementBlock("svg", mergeProps({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 256 256",
    width: _ctx.size,
    height: _ctx.size,
    fill: _ctx.color,
    transform: _ctx.mirrored ? 'scale(-1, 1)' : undefined
  }, _ctx.$attrs), [renderSlot(_ctx.$slots, "default"), _ctx.weight === 'bold' ? (openBlock(), createElementBlock("g", _hoisted_2, [createElementVNode("rect", {
    x: "32",
    y: "48",
    width: "192",
    height: "160",
    rx: "8",
    transform: "translate(256) rotate(90)",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "24"
  }, null, 8, _hoisted_3), createElementVNode("line", {
    x1: "92",
    y1: "76",
    x2: "164",
    y2: "76",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "24"
  }, null, 8, _hoisted_4), _hoisted_5, _hoisted_6, _hoisted_7, _hoisted_8])) : _ctx.weight === 'duotone' ? (openBlock(), createElementBlock("g", _hoisted_9, [_hoisted_10, createElementVNode("rect", {
    x: "80",
    y: "64",
    width: "96",
    height: "48",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "16"
  }, null, 8, _hoisted_11), createElementVNode("rect", {
    x: "32",
    y: "48",
    width: "192",
    height: "160",
    rx: "8",
    transform: "translate(256 0) rotate(90)",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "16"
  }, null, 8, _hoisted_12), _hoisted_13])) : _ctx.weight === 'fill' ? (openBlock(), createElementBlock("g", _hoisted_19, _hoisted_21)) : _ctx.weight === 'light' ? (openBlock(), createElementBlock("g", _hoisted_22, [createElementVNode("rect", {
    x: "80",
    y: "64",
    width: "96",
    height: "48",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "12"
  }, null, 8, _hoisted_23), createElementVNode("rect", {
    x: "32",
    y: "48",
    width: "192",
    height: "160",
    rx: "8",
    transform: "translate(256) rotate(90)",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "12"
  }, null, 8, _hoisted_24), _hoisted_25])) : _ctx.weight === 'thin' ? (openBlock(), createElementBlock("g", _hoisted_31, [createElementVNode("rect", {
    x: "80",
    y: "64",
    width: "96",
    height: "48",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "8"
  }, null, 8, _hoisted_32), createElementVNode("rect", {
    x: "32",
    y: "48",
    width: "192",
    height: "160",
    rx: "8",
    transform: "translate(256) rotate(90)",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "8"
  }, null, 8, _hoisted_33), _hoisted_34])) : _ctx.weight === 'regular' ? (openBlock(), createElementBlock("g", _hoisted_40, [createElementVNode("rect", {
    x: "80",
    y: "64",
    width: "96",
    height: "48",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "16"
  }, null, 8, _hoisted_41), createElementVNode("rect", {
    x: "32",
    y: "48",
    width: "192",
    height: "160",
    rx: "8",
    transform: "translate(256) rotate(90)",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "16"
  }, null, 8, _hoisted_42), _hoisted_43])) : createCommentVNode("", true)], 16, _hoisted_1);
}

export { render };
