import { openBlock, createElementBlock, mergeProps, renderSlot, createElementVNode, createCommentVNode } from 'vue';

const _hoisted_1 = ["width", "height", "fill", "transform"];
const _hoisted_2 = {
  key: 0
};
const _hoisted_3 = ["stroke"];
const _hoisted_4 = ["stroke"];
const _hoisted_5 = {
  key: 1
};

const _hoisted_6 = /*#__PURE__*/createElementVNode("ellipse", {
  cx: "128",
  cy: "58",
  rx: "64",
  ry: "34",
  opacity: "0.2"
}, null, -1);

const _hoisted_7 = ["stroke"];
const _hoisted_8 = ["stroke"];
const _hoisted_9 = {
  key: 2
};

const _hoisted_10 = /*#__PURE__*/createElementVNode("path", {
  d: "M128,16C87.6,16,56,34.4,56,58V198c0,23.6,31.6,42,72,42s72-18.4,72-42V58C200,34.4,168.4,16,128,16Zm0,208c-33,0-56-13.7-56-26V84.7c13.1,9.4,33.1,15.3,56,15.3s42.9-5.9,56-15.3V198C184,210.3,161,224,128,224Z"
}, null, -1);

const _hoisted_11 = [_hoisted_10];
const _hoisted_12 = {
  key: 3
};
const _hoisted_13 = ["stroke"];
const _hoisted_14 = ["stroke"];
const _hoisted_15 = {
  key: 4
};
const _hoisted_16 = ["stroke"];
const _hoisted_17 = ["stroke"];
const _hoisted_18 = {
  key: 5
};
const _hoisted_19 = ["stroke"];
const _hoisted_20 = ["stroke"];
function render(_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createElementBlock("svg", mergeProps({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 256 256",
    width: _ctx.size,
    height: _ctx.size,
    fill: _ctx.color,
    transform: _ctx.mirrored ? 'scale(-1, 1)' : undefined
  }, _ctx.$attrs), [renderSlot(_ctx.$slots, "default"), _ctx.weight === 'bold' ? (openBlock(), createElementBlock("g", _hoisted_2, [createElementVNode("ellipse", {
    cx: "128",
    cy: "58",
    rx: "64",
    ry: "34",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "24"
  }, null, 8, _hoisted_3), createElementVNode("path", {
    d: "M64,58V198c0,18.8,28.7,34,64,34s64-15.2,64-34V58",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "24"
  }, null, 8, _hoisted_4)])) : _ctx.weight === 'duotone' ? (openBlock(), createElementBlock("g", _hoisted_5, [_hoisted_6, createElementVNode("ellipse", {
    cx: "128",
    cy: "58",
    rx: "64",
    ry: "34",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "16"
  }, null, 8, _hoisted_7), createElementVNode("path", {
    d: "M64,58V198c0,18.8,28.7,34,64,34s64-15.2,64-34V58",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "16"
  }, null, 8, _hoisted_8)])) : _ctx.weight === 'fill' ? (openBlock(), createElementBlock("g", _hoisted_9, _hoisted_11)) : _ctx.weight === 'light' ? (openBlock(), createElementBlock("g", _hoisted_12, [createElementVNode("ellipse", {
    cx: "128",
    cy: "58",
    rx: "64",
    ry: "34",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "12"
  }, null, 8, _hoisted_13), createElementVNode("path", {
    d: "M64,58V198c0,18.8,28.7,34,64,34s64-15.2,64-34V58",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "12"
  }, null, 8, _hoisted_14)])) : _ctx.weight === 'thin' ? (openBlock(), createElementBlock("g", _hoisted_15, [createElementVNode("ellipse", {
    cx: "128",
    cy: "58",
    rx: "64",
    ry: "34",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "8"
  }, null, 8, _hoisted_16), createElementVNode("path", {
    d: "M64,58V198c0,18.8,28.7,34,64,34s64-15.2,64-34V58",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "8"
  }, null, 8, _hoisted_17)])) : _ctx.weight === 'regular' ? (openBlock(), createElementBlock("g", _hoisted_18, [createElementVNode("ellipse", {
    cx: "128",
    cy: "58",
    rx: "64",
    ry: "34",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "16"
  }, null, 8, _hoisted_19), createElementVNode("path", {
    d: "M64,58V198c0,18.8,28.7,34,64,34s64-15.2,64-34V58",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "16"
  }, null, 8, _hoisted_20)])) : createCommentVNode("", true)], 16, _hoisted_1);
}

export { render };
