import { openBlock, createElementBlock, mergeProps, renderSlot, createElementVNode, createCommentVNode } from 'vue';

const _hoisted_1 = ["width", "height", "fill", "transform"];
const _hoisted_2 = {
  key: 0
};
const _hoisted_3 = ["stroke"];

const _hoisted_4 = /*#__PURE__*/createElementVNode("circle", {
  cx: "88",
  cy: "88",
  r: "16"
}, null, -1);

const _hoisted_5 = /*#__PURE__*/createElementVNode("circle", {
  cx: "128",
  cy: "128",
  r: "16"
}, null, -1);

const _hoisted_6 = /*#__PURE__*/createElementVNode("circle", {
  cx: "168",
  cy: "168",
  r: "16"
}, null, -1);

const _hoisted_7 = {
  key: 1
};

const _hoisted_8 = /*#__PURE__*/createElementVNode("rect", {
  x: "40",
  y: "40",
  width: "176",
  height: "176",
  rx: "24",
  opacity: "0.2"
}, null, -1);

const _hoisted_9 = ["stroke"];

const _hoisted_10 = /*#__PURE__*/createElementVNode("circle", {
  cx: "92",
  cy: "92",
  r: "12"
}, null, -1);

const _hoisted_11 = /*#__PURE__*/createElementVNode("circle", {
  cx: "128",
  cy: "128",
  r: "12"
}, null, -1);

const _hoisted_12 = /*#__PURE__*/createElementVNode("circle", {
  cx: "164",
  cy: "164",
  r: "12"
}, null, -1);

const _hoisted_13 = {
  key: 2
};

const _hoisted_14 = /*#__PURE__*/createElementVNode("path", {
  d: "M192,32H64A32.1,32.1,0,0,0,32,64V192a32.1,32.1,0,0,0,32,32H192a32.1,32.1,0,0,0,32-32V64A32.1,32.1,0,0,0,192,32ZM92,104a12,12,0,1,1,12-12A12,12,0,0,1,92,104Zm36,36a12,12,0,1,1,12-12A12,12,0,0,1,128,140Zm36,36a12,12,0,1,1,12-12A12,12,0,0,1,164,176Z"
}, null, -1);

const _hoisted_15 = [_hoisted_14];
const _hoisted_16 = {
  key: 3
};
const _hoisted_17 = ["stroke"];

const _hoisted_18 = /*#__PURE__*/createElementVNode("circle", {
  cx: "92",
  cy: "92",
  r: "10"
}, null, -1);

const _hoisted_19 = /*#__PURE__*/createElementVNode("circle", {
  cx: "128",
  cy: "128",
  r: "10"
}, null, -1);

const _hoisted_20 = /*#__PURE__*/createElementVNode("circle", {
  cx: "164",
  cy: "164",
  r: "10"
}, null, -1);

const _hoisted_21 = {
  key: 4
};
const _hoisted_22 = ["stroke"];

const _hoisted_23 = /*#__PURE__*/createElementVNode("circle", {
  cx: "92",
  cy: "92",
  r: "8"
}, null, -1);

const _hoisted_24 = /*#__PURE__*/createElementVNode("circle", {
  cx: "128",
  cy: "128",
  r: "8"
}, null, -1);

const _hoisted_25 = /*#__PURE__*/createElementVNode("circle", {
  cx: "164",
  cy: "164",
  r: "8"
}, null, -1);

const _hoisted_26 = {
  key: 5
};
const _hoisted_27 = ["stroke"];

const _hoisted_28 = /*#__PURE__*/createElementVNode("circle", {
  cx: "92",
  cy: "92",
  r: "12"
}, null, -1);

const _hoisted_29 = /*#__PURE__*/createElementVNode("circle", {
  cx: "128",
  cy: "128",
  r: "12"
}, null, -1);

const _hoisted_30 = /*#__PURE__*/createElementVNode("circle", {
  cx: "164",
  cy: "164",
  r: "12"
}, null, -1);

function render(_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createElementBlock("svg", mergeProps({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 256 256",
    width: _ctx.size,
    height: _ctx.size,
    fill: _ctx.color,
    transform: _ctx.mirrored ? 'scale(-1, 1)' : undefined
  }, _ctx.$attrs), [renderSlot(_ctx.$slots, "default"), _ctx.weight === 'bold' ? (openBlock(), createElementBlock("g", _hoisted_2, [createElementVNode("rect", {
    x: "40",
    y: "40",
    width: "176",
    height: "176",
    rx: "24",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "24"
  }, null, 8, _hoisted_3), _hoisted_4, _hoisted_5, _hoisted_6])) : _ctx.weight === 'duotone' ? (openBlock(), createElementBlock("g", _hoisted_7, [_hoisted_8, createElementVNode("rect", {
    x: "40",
    y: "40",
    width: "176",
    height: "176",
    rx: "24",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "16"
  }, null, 8, _hoisted_9), _hoisted_10, _hoisted_11, _hoisted_12])) : _ctx.weight === 'fill' ? (openBlock(), createElementBlock("g", _hoisted_13, _hoisted_15)) : _ctx.weight === 'light' ? (openBlock(), createElementBlock("g", _hoisted_16, [createElementVNode("rect", {
    x: "40",
    y: "40",
    width: "176",
    height: "176",
    rx: "24",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "12"
  }, null, 8, _hoisted_17), _hoisted_18, _hoisted_19, _hoisted_20])) : _ctx.weight === 'thin' ? (openBlock(), createElementBlock("g", _hoisted_21, [createElementVNode("rect", {
    x: "40",
    y: "40",
    width: "176",
    height: "176",
    rx: "24",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "8"
  }, null, 8, _hoisted_22), _hoisted_23, _hoisted_24, _hoisted_25])) : _ctx.weight === 'regular' ? (openBlock(), createElementBlock("g", _hoisted_26, [createElementVNode("rect", {
    x: "40",
    y: "40",
    width: "176",
    height: "176",
    rx: "24",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "16"
  }, null, 8, _hoisted_27), _hoisted_28, _hoisted_29, _hoisted_30])) : createCommentVNode("", true)], 16, _hoisted_1);
}

export { render };
