import { openBlock, createElementBlock, mergeProps, renderSlot, createElementVNode, createCommentVNode } from 'vue';

const _hoisted_1 = ["width", "height", "fill", "transform"];
const _hoisted_2 = {
  key: 0
};
const _hoisted_3 = ["stroke"];

const _hoisted_4 = /*#__PURE__*/createElementVNode("circle", {
  cx: "128",
  cy: "64",
  r: "20"
}, null, -1);

const _hoisted_5 = /*#__PURE__*/createElementVNode("circle", {
  cx: "128",
  cy: "192",
  r: "20"
}, null, -1);

const _hoisted_6 = {
  key: 1
};
const _hoisted_7 = ["stroke"];

const _hoisted_8 = /*#__PURE__*/createElementVNode("circle", {
  cx: "128",
  cy: "64",
  r: "16"
}, null, -1);

const _hoisted_9 = /*#__PURE__*/createElementVNode("circle", {
  cx: "128",
  cy: "192",
  r: "16"
}, null, -1);

const _hoisted_10 = {
  key: 2
};

const _hoisted_11 = /*#__PURE__*/createElementVNode("path", {
  d: "M224,128a8,8,0,0,1-8,8H40a8,8,0,0,1,0-16H216A8,8,0,0,1,224,128ZM128,80a16,16,0,1,0-16-16A16,16,0,0,0,128,80Zm0,96a16,16,0,1,0,16,16A16,16,0,0,0,128,176Z"
}, null, -1);

const _hoisted_12 = [_hoisted_11];
const _hoisted_13 = {
  key: 3
};
const _hoisted_14 = ["stroke"];

const _hoisted_15 = /*#__PURE__*/createElementVNode("circle", {
  cx: "128",
  cy: "64",
  r: "14"
}, null, -1);

const _hoisted_16 = /*#__PURE__*/createElementVNode("circle", {
  cx: "128",
  cy: "192",
  r: "14"
}, null, -1);

const _hoisted_17 = {
  key: 4
};
const _hoisted_18 = ["stroke"];

const _hoisted_19 = /*#__PURE__*/createElementVNode("circle", {
  cx: "128",
  cy: "64",
  r: "12"
}, null, -1);

const _hoisted_20 = /*#__PURE__*/createElementVNode("circle", {
  cx: "128",
  cy: "192",
  r: "12"
}, null, -1);

const _hoisted_21 = {
  key: 5
};
const _hoisted_22 = ["stroke"];

const _hoisted_23 = /*#__PURE__*/createElementVNode("circle", {
  cx: "128",
  cy: "64",
  r: "16"
}, null, -1);

const _hoisted_24 = /*#__PURE__*/createElementVNode("circle", {
  cx: "128",
  cy: "192",
  r: "16"
}, null, -1);

function render(_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createElementBlock("svg", mergeProps({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 256 256",
    width: _ctx.size,
    height: _ctx.size,
    fill: _ctx.color,
    transform: _ctx.mirrored ? 'scale(-1, 1)' : undefined
  }, _ctx.$attrs), [renderSlot(_ctx.$slots, "default"), _ctx.weight === 'bold' ? (openBlock(), createElementBlock("g", _hoisted_2, [createElementVNode("line", {
    x1: "40",
    y1: "128",
    x2: "216",
    y2: "128",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "24"
  }, null, 8, _hoisted_3), _hoisted_4, _hoisted_5])) : _ctx.weight === 'duotone' ? (openBlock(), createElementBlock("g", _hoisted_6, [createElementVNode("line", {
    x1: "40",
    y1: "128",
    x2: "216",
    y2: "128",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "16"
  }, null, 8, _hoisted_7), _hoisted_8, _hoisted_9])) : _ctx.weight === 'fill' ? (openBlock(), createElementBlock("g", _hoisted_10, _hoisted_12)) : _ctx.weight === 'light' ? (openBlock(), createElementBlock("g", _hoisted_13, [createElementVNode("line", {
    x1: "40",
    y1: "128",
    x2: "216",
    y2: "128",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "12"
  }, null, 8, _hoisted_14), _hoisted_15, _hoisted_16])) : _ctx.weight === 'thin' ? (openBlock(), createElementBlock("g", _hoisted_17, [createElementVNode("line", {
    x1: "40",
    y1: "128",
    x2: "216",
    y2: "128",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "8"
  }, null, 8, _hoisted_18), _hoisted_19, _hoisted_20])) : _ctx.weight === 'regular' ? (openBlock(), createElementBlock("g", _hoisted_21, [createElementVNode("line", {
    x1: "40",
    y1: "128",
    x2: "216",
    y2: "128",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "16"
  }, null, 8, _hoisted_22), _hoisted_23, _hoisted_24])) : createCommentVNode("", true)], 16, _hoisted_1);
}

export { render };
