import { openBlock, createElementBlock, mergeProps, renderSlot, createCommentVNode, createElementVNode } from 'vue';

const _hoisted_1 = ["width", "height", "fill", "transform"];
const _hoisted_2 = {
  key: 0
};

const _hoisted_3 = /*#__PURE__*/createElementVNode("circle", {
  cx: "128",
  cy: "128",
  r: "16"
}, null, -1);

const _hoisted_4 = /*#__PURE__*/createElementVNode("circle", {
  cx: "64",
  cy: "128",
  r: "16"
}, null, -1);

const _hoisted_5 = /*#__PURE__*/createElementVNode("circle", {
  cx: "192",
  cy: "128",
  r: "16"
}, null, -1);

const _hoisted_6 = [_hoisted_3, _hoisted_4, _hoisted_5];
const _hoisted_7 = {
  key: 1
};

const _hoisted_8 = /*#__PURE__*/createElementVNode("circle", {
  cx: "128",
  cy: "128",
  r: "12"
}, null, -1);

const _hoisted_9 = /*#__PURE__*/createElementVNode("circle", {
  cx: "192",
  cy: "128",
  r: "12"
}, null, -1);

const _hoisted_10 = /*#__PURE__*/createElementVNode("circle", {
  cx: "64",
  cy: "128",
  r: "12"
}, null, -1);

const _hoisted_11 = [_hoisted_8, _hoisted_9, _hoisted_10];
const _hoisted_12 = {
  key: 2
};

const _hoisted_13 = /*#__PURE__*/createElementVNode("path", {
  d: "M140,128a12,12,0,1,1-12-12A12,12,0,0,1,140,128Zm52-12a12,12,0,1,0,12,12A12,12,0,0,0,192,116ZM64,116a12,12,0,1,0,12,12A12,12,0,0,0,64,116Z"
}, null, -1);

const _hoisted_14 = [_hoisted_13];
const _hoisted_15 = {
  key: 3
};

const _hoisted_16 = /*#__PURE__*/createElementVNode("circle", {
  cx: "128",
  cy: "128",
  r: "10"
}, null, -1);

const _hoisted_17 = /*#__PURE__*/createElementVNode("circle", {
  cx: "64",
  cy: "128",
  r: "10"
}, null, -1);

const _hoisted_18 = /*#__PURE__*/createElementVNode("circle", {
  cx: "192",
  cy: "128",
  r: "10"
}, null, -1);

const _hoisted_19 = [_hoisted_16, _hoisted_17, _hoisted_18];
const _hoisted_20 = {
  key: 4
};

const _hoisted_21 = /*#__PURE__*/createElementVNode("circle", {
  cx: "128",
  cy: "128",
  r: "8"
}, null, -1);

const _hoisted_22 = /*#__PURE__*/createElementVNode("circle", {
  cx: "64",
  cy: "128",
  r: "8"
}, null, -1);

const _hoisted_23 = /*#__PURE__*/createElementVNode("circle", {
  cx: "192",
  cy: "128",
  r: "8"
}, null, -1);

const _hoisted_24 = [_hoisted_21, _hoisted_22, _hoisted_23];
const _hoisted_25 = {
  key: 5
};

const _hoisted_26 = /*#__PURE__*/createElementVNode("circle", {
  cx: "128",
  cy: "128",
  r: "12"
}, null, -1);

const _hoisted_27 = /*#__PURE__*/createElementVNode("circle", {
  cx: "192",
  cy: "128",
  r: "12"
}, null, -1);

const _hoisted_28 = /*#__PURE__*/createElementVNode("circle", {
  cx: "64",
  cy: "128",
  r: "12"
}, null, -1);

const _hoisted_29 = [_hoisted_26, _hoisted_27, _hoisted_28];
function render(_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createElementBlock("svg", mergeProps({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 256 256",
    width: _ctx.size,
    height: _ctx.size,
    fill: _ctx.color,
    transform: _ctx.mirrored ? 'scale(-1, 1)' : undefined
  }, _ctx.$attrs), [renderSlot(_ctx.$slots, "default"), _ctx.weight === 'bold' ? (openBlock(), createElementBlock("g", _hoisted_2, _hoisted_6)) : _ctx.weight === 'duotone' ? (openBlock(), createElementBlock("g", _hoisted_7, _hoisted_11)) : _ctx.weight === 'fill' ? (openBlock(), createElementBlock("g", _hoisted_12, _hoisted_14)) : _ctx.weight === 'light' ? (openBlock(), createElementBlock("g", _hoisted_15, _hoisted_19)) : _ctx.weight === 'thin' ? (openBlock(), createElementBlock("g", _hoisted_20, _hoisted_24)) : _ctx.weight === 'regular' ? (openBlock(), createElementBlock("g", _hoisted_25, _hoisted_29)) : createCommentVNode("", true)], 16, _hoisted_1);
}

export { render };
