import { openBlock, createElementBlock, mergeProps, renderSlot, createElementVNode, createCommentVNode } from 'vue';

const _hoisted_1 = ["width", "height", "fill", "transform"];
const _hoisted_2 = {
  key: 0
};
const _hoisted_3 = ["stroke"];
const _hoisted_4 = ["stroke"];
const _hoisted_5 = {
  key: 1
};

const _hoisted_6 = /*#__PURE__*/createElementVNode("path", {
  d: "M179.8,115.8l4.9,4.9a16.1,16.1,0,0,1,0,22.6l-7,7a8,8,0,0,1-11.4,0L105.7,89.7a8,8,0,0,1,0-11.4l7-7a16.1,16.1,0,0,1,22.6,0l4.9,4.9,27.6-27.6c10.8-10.8,28.4-11.4,39.4-.9a28,28,0,0,1,.6,40.1Z",
  opacity: "0.2"
}, null, -1);

const _hoisted_7 = ["stroke"];
const _hoisted_8 = ["stroke"];
const _hoisted_9 = {
  key: 2
};

const _hoisted_10 = /*#__PURE__*/createElementVNode("path", {
  d: "M224,67.5a35.5,35.5,0,0,0-11.3-25.7c-14-13.2-36.7-12.7-50.6,1.2L140.2,64.9a24.1,24.1,0,0,0-33.2.8l-7,7a16.1,16.1,0,0,0,0,22.6l2.1,2.1L51.7,147.7a40.3,40.3,0,0,0-11,35.8l-9.8,22.4a13.6,13.6,0,0,0,2.9,15.2,15.8,15.8,0,0,0,11.3,4.7,16.3,16.3,0,0,0,6.4-1.3l21-9.2a40.3,40.3,0,0,0,35.8-11l50.3-50.4,2.1,2.1a15.9,15.9,0,0,0,22.6,0l7-7a24.1,24.1,0,0,0,.8-33.2l22.4-22.3A36.2,36.2,0,0,0,224,67.5ZM97,193a24.3,24.3,0,0,1-23.2,6.2,8,8,0,0,0-5.3.4L47,209l9.4-21.5a8,8,0,0,0,.4-5.3A24.3,24.3,0,0,1,63,159l50.4-50.3,33.9,33.9Z"
}, null, -1);

const _hoisted_11 = [_hoisted_10];
const _hoisted_12 = {
  key: 3
};
const _hoisted_13 = ["stroke"];
const _hoisted_14 = ["stroke"];
const _hoisted_15 = {
  key: 4
};
const _hoisted_16 = ["stroke"];
const _hoisted_17 = ["stroke"];
const _hoisted_18 = {
  key: 5
};
const _hoisted_19 = ["stroke"];
const _hoisted_20 = ["stroke"];
function render(_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createElementBlock("svg", mergeProps({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 256 256",
    width: _ctx.size,
    height: _ctx.size,
    fill: _ctx.color,
    transform: _ctx.mirrored ? 'scale(-1, 1)' : undefined
  }, _ctx.$attrs), [renderSlot(_ctx.$slots, "default"), _ctx.weight === 'bold' ? (openBlock(), createElementBlock("g", _hoisted_2, [createElementVNode("path", {
    d: "M158.6,142.6l-56,56a31.7,31.7,0,0,1-30.9,8.3L48.3,217.1a8,8,0,0,1-8.8-1.6h0a5.7,5.7,0,0,1-1.2-6.4l10.8-24.8a31.7,31.7,0,0,1,8.3-30.9l56-56",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "24"
  }, null, 8, _hoisted_3), createElementVNode("path", {
    d: "M187.8,107.8l4.9,4.9a16.1,16.1,0,0,1,0,22.6l-15,15a8,8,0,0,1-11.4,0L105.7,89.7a8,8,0,0,1,0-11.4l15-15a16.1,16.1,0,0,1,22.6,0l4.9,4.9,19.6-19.6c10.8-10.8,28.4-11.4,39.4-.9a28,28,0,0,1,.6,40.1Z",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "24"
  }, null, 8, _hoisted_4)])) : _ctx.weight === 'duotone' ? (openBlock(), createElementBlock("g", _hoisted_5, [_hoisted_6, createElementVNode("path", {
    d: "M179.8,115.8l4.9,4.9a16.1,16.1,0,0,1,0,22.6l-7,7a8,8,0,0,1-11.4,0L105.7,89.7a8,8,0,0,1,0-11.4l7-7a16.1,16.1,0,0,1,22.6,0l4.9,4.9,27.6-27.6c10.8-10.8,28.4-11.4,39.4-.9a28,28,0,0,1,.6,40.1Z",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "16"
  }, null, 8, _hoisted_7), createElementVNode("path", {
    d: "M158.6,142.6l-56,56a31.7,31.7,0,0,1-30.9,8.3L48.3,217.1a8,8,0,0,1-8.8-1.6h0a5.7,5.7,0,0,1-1.2-6.4l10.8-24.8a31.7,31.7,0,0,1,8.3-30.9l56-56",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "16"
  }, null, 8, _hoisted_8)])) : _ctx.weight === 'fill' ? (openBlock(), createElementBlock("g", _hoisted_9, _hoisted_11)) : _ctx.weight === 'light' ? (openBlock(), createElementBlock("g", _hoisted_12, [createElementVNode("path", {
    d: "M179.8,115.8l4.9,4.9a16.1,16.1,0,0,1,0,22.6l-7,7a8,8,0,0,1-11.4,0L105.7,89.7a8,8,0,0,1,0-11.4l7-7a16.1,16.1,0,0,1,22.6,0l4.9,4.9,27.6-27.6c10.8-10.8,28.4-11.4,39.4-.9a28,28,0,0,1,.6,40.1Z",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "12"
  }, null, 8, _hoisted_13), createElementVNode("path", {
    d: "M158.6,142.6l-56,56a31.7,31.7,0,0,1-30.9,8.3L48.3,217.1a8,8,0,0,1-8.8-1.6h0a5.7,5.7,0,0,1-1.2-6.4l10.8-24.8a31.7,31.7,0,0,1,8.3-30.9l56-56",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "12"
  }, null, 8, _hoisted_14)])) : _ctx.weight === 'thin' ? (openBlock(), createElementBlock("g", _hoisted_15, [createElementVNode("path", {
    d: "M179.8,115.8l4.9,4.9a16.1,16.1,0,0,1,0,22.6l-7,7a8,8,0,0,1-11.4,0L105.7,89.7a8,8,0,0,1,0-11.4l7-7a16.1,16.1,0,0,1,22.6,0l4.9,4.9,27.6-27.6c10.8-10.8,28.4-11.4,39.4-.9a28,28,0,0,1,.6,40.1Z",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "8"
  }, null, 8, _hoisted_16), createElementVNode("path", {
    d: "M158.6,142.6l-56,56a31.7,31.7,0,0,1-30.9,8.3L48.3,217.1a8,8,0,0,1-8.8-1.6h0a5.7,5.7,0,0,1-1.2-6.4l10.8-24.8a31.7,31.7,0,0,1,8.3-30.9l56-56",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "8"
  }, null, 8, _hoisted_17)])) : _ctx.weight === 'regular' ? (openBlock(), createElementBlock("g", _hoisted_18, [createElementVNode("path", {
    d: "M179.8,115.8l4.9,4.9a16.1,16.1,0,0,1,0,22.6l-7,7a8,8,0,0,1-11.4,0L105.7,89.7a8,8,0,0,1,0-11.4l7-7a16.1,16.1,0,0,1,22.6,0l4.9,4.9,27.6-27.6c10.8-10.8,28.4-11.4,39.4-.9a28,28,0,0,1,.6,40.1Z",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "16"
  }, null, 8, _hoisted_19), createElementVNode("path", {
    d: "M158.6,142.6l-56,56a31.7,31.7,0,0,1-30.9,8.3L48.3,217.1a8,8,0,0,1-8.8-1.6h0a5.7,5.7,0,0,1-1.2-6.4l10.8-24.8a31.7,31.7,0,0,1,8.3-30.9l56-56",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "16"
  }, null, 8, _hoisted_20)])) : createCommentVNode("", true)], 16, _hoisted_1);
}

export { render };
