import { openBlock, createElementBlock, mergeProps, renderSlot, createElementVNode, createCommentVNode } from 'vue';

const _hoisted_1 = ["width", "height", "fill", "transform"];
const _hoisted_2 = {
  key: 0
};
const _hoisted_3 = ["stroke"];
const _hoisted_4 = ["stroke"];

const _hoisted_5 = /*#__PURE__*/createElementVNode("circle", {
  cx: "96",
  cy: "140",
  r: "16"
}, null, -1);

const _hoisted_6 = /*#__PURE__*/createElementVNode("circle", {
  cx: "160",
  cy: "140",
  r: "16"
}, null, -1);

const _hoisted_7 = {
  key: 1
};

const _hoisted_8 = /*#__PURE__*/createElementVNode("path", {
  d: "M208,40a23.9,23.9,0,0,0-24,24H72a24,24,0,0,0-48,0v80a64.1,64.1,0,0,0,64,64h80a64.1,64.1,0,0,0,64-64V64A23.9,23.9,0,0,0,208,40Zm-8,104a32,32,0,0,1-32,32H88a32,32,0,0,1-32-32v-8a32,32,0,0,1,32-32h80a32,32,0,0,1,32,32Z",
  opacity: "0.2"
}, null, -1);

const _hoisted_9 = ["stroke"];
const _hoisted_10 = ["stroke"];

const _hoisted_11 = /*#__PURE__*/createElementVNode("circle", {
  cx: "92",
  cy: "140",
  r: "12"
}, null, -1);

const _hoisted_12 = /*#__PURE__*/createElementVNode("circle", {
  cx: "164",
  cy: "140",
  r: "12"
}, null, -1);

const _hoisted_13 = {
  key: 2
};

const _hoisted_14 = /*#__PURE__*/createElementVNode("path", {
  d: "M176,140a12,12,0,1,1-12-12A12,12,0,0,1,176,140ZM92,128a12,12,0,1,0,12,12A12,12,0,0,0,92,128ZM240,64v80a72.1,72.1,0,0,1-72,72H88a72.1,72.1,0,0,1-72-72V64a32,32,0,0,1,63-8h98a32,32,0,0,1,63,8Zm-40,72a32,32,0,0,0-32-32H88a32,32,0,0,0-32,32v8a32,32,0,0,0,32,32h80a32,32,0,0,0,32-32Z"
}, null, -1);

const _hoisted_15 = [_hoisted_14];
const _hoisted_16 = {
  key: 3
};
const _hoisted_17 = ["stroke"];
const _hoisted_18 = ["stroke"];

const _hoisted_19 = /*#__PURE__*/createElementVNode("circle", {
  cx: "92",
  cy: "140",
  r: "10"
}, null, -1);

const _hoisted_20 = /*#__PURE__*/createElementVNode("circle", {
  cx: "164",
  cy: "140",
  r: "10"
}, null, -1);

const _hoisted_21 = {
  key: 4
};
const _hoisted_22 = ["stroke"];
const _hoisted_23 = ["stroke"];

const _hoisted_24 = /*#__PURE__*/createElementVNode("circle", {
  cx: "92",
  cy: "140",
  r: "8"
}, null, -1);

const _hoisted_25 = /*#__PURE__*/createElementVNode("circle", {
  cx: "164",
  cy: "140",
  r: "8"
}, null, -1);

const _hoisted_26 = {
  key: 5
};
const _hoisted_27 = ["stroke"];
const _hoisted_28 = ["stroke"];

const _hoisted_29 = /*#__PURE__*/createElementVNode("circle", {
  cx: "92",
  cy: "140",
  r: "12"
}, null, -1);

const _hoisted_30 = /*#__PURE__*/createElementVNode("circle", {
  cx: "164",
  cy: "140",
  r: "12"
}, null, -1);

function render(_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createElementBlock("svg", mergeProps({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 256 256",
    width: _ctx.size,
    height: _ctx.size,
    fill: _ctx.color,
    transform: _ctx.mirrored ? 'scale(-1, 1)' : undefined
  }, _ctx.$attrs), [renderSlot(_ctx.$slots, "default"), _ctx.weight === 'bold' ? (openBlock(), createElementBlock("g", _hoisted_2, [createElementVNode("rect", {
    x: "56",
    y: "100",
    width: "144",
    height: "80",
    rx: "32",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "24"
  }, null, 8, _hoisted_3), createElementVNode("path", {
    d: "M20,64a24,24,0,0,1,48,0H188a24,24,0,0,1,48,0v88a64.1,64.1,0,0,1-64,64H84a64.1,64.1,0,0,1-64-64Z",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "24"
  }, null, 8, _hoisted_4), _hoisted_5, _hoisted_6])) : _ctx.weight === 'duotone' ? (openBlock(), createElementBlock("g", _hoisted_7, [_hoisted_8, createElementVNode("rect", {
    x: "56",
    y: "104",
    width: "144",
    height: "72",
    rx: "32",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "16"
  }, null, 8, _hoisted_9), createElementVNode("path", {
    d: "M24,64a24,24,0,0,1,48,0H184a24,24,0,0,1,48,0v80a64.1,64.1,0,0,1-64,64H88a64.1,64.1,0,0,1-64-64Z",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "16"
  }, null, 8, _hoisted_10), _hoisted_11, _hoisted_12])) : _ctx.weight === 'fill' ? (openBlock(), createElementBlock("g", _hoisted_13, _hoisted_15)) : _ctx.weight === 'light' ? (openBlock(), createElementBlock("g", _hoisted_16, [createElementVNode("rect", {
    x: "56",
    y: "104",
    width: "144",
    height: "72",
    rx: "32",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "12"
  }, null, 8, _hoisted_17), createElementVNode("path", {
    d: "M24,64a24,24,0,0,1,48,0H184a24,24,0,0,1,48,0v80a64.1,64.1,0,0,1-64,64H88a64.1,64.1,0,0,1-64-64Z",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "12"
  }, null, 8, _hoisted_18), _hoisted_19, _hoisted_20])) : _ctx.weight === 'thin' ? (openBlock(), createElementBlock("g", _hoisted_21, [createElementVNode("rect", {
    x: "56",
    y: "104",
    width: "144",
    height: "72",
    rx: "32",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "8"
  }, null, 8, _hoisted_22), createElementVNode("path", {
    d: "M24,64a24,24,0,0,1,48,0H184a24,24,0,0,1,48,0v80a64.1,64.1,0,0,1-64,64H88a64.1,64.1,0,0,1-64-64Z",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "8"
  }, null, 8, _hoisted_23), _hoisted_24, _hoisted_25])) : _ctx.weight === 'regular' ? (openBlock(), createElementBlock("g", _hoisted_26, [createElementVNode("rect", {
    x: "56",
    y: "104",
    width: "144",
    height: "72",
    rx: "32",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "16"
  }, null, 8, _hoisted_27), createElementVNode("path", {
    d: "M24,64a24,24,0,0,1,48,0H184a24,24,0,0,1,48,0v80a64.1,64.1,0,0,1-64,64H88a64.1,64.1,0,0,1-64-64Z",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "16"
  }, null, 8, _hoisted_28), _hoisted_29, _hoisted_30])) : createCommentVNode("", true)], 16, _hoisted_1);
}

export { render };
