import { openBlock, createElementBlock, mergeProps, renderSlot, createElementVNode, createCommentVNode } from 'vue';

const _hoisted_1 = ["width", "height", "fill", "transform"];
const _hoisted_2 = {
  key: 0
};
const _hoisted_3 = ["stroke"];
const _hoisted_4 = ["stroke"];
const _hoisted_5 = {
  key: 1
};

const _hoisted_6 = /*#__PURE__*/createElementVNode("path", {
  d: "M128,24S48,72,48,144a79.9,79.9,0,0,0,77.9,79.9A39.9,39.9,0,0,1,88,184c0-40,40-64,40-64s40,24,40,64a39.9,39.9,0,0,1-37.9,39.9A79.9,79.9,0,0,0,208,144C208,72,128,24,128,24Z",
  opacity: "0.2"
}, null, -1);

const _hoisted_7 = ["stroke"];
const _hoisted_8 = ["stroke"];
const _hoisted_9 = {
  key: 2
};

const _hoisted_10 = /*#__PURE__*/createElementVNode("path", {
  d: "M173.8,51.5a221.5,221.5,0,0,0-41.7-34.4,8,8,0,0,0-8.2,0A221.5,221.5,0,0,0,82.2,51.5C54.6,80.5,40,112.5,40,144a88,88,0,0,0,176,0C216,112.5,201.4,80.5,173.8,51.5ZM96,184c0-27.7,22.5-47.3,32-54.3,9.5,7,32,26.6,32,54.3a32,32,0,0,1-64,0Z"
}, null, -1);

const _hoisted_11 = [_hoisted_10];
const _hoisted_12 = {
  key: 3
};
const _hoisted_13 = ["stroke"];
const _hoisted_14 = ["stroke"];
const _hoisted_15 = {
  key: 4
};
const _hoisted_16 = ["stroke"];
const _hoisted_17 = ["stroke"];
const _hoisted_18 = {
  key: 5
};
const _hoisted_19 = ["stroke"];
const _hoisted_20 = ["stroke"];
function render(_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createElementBlock("svg", mergeProps({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 256 256",
    width: _ctx.size,
    height: _ctx.size,
    fill: _ctx.color,
    transform: _ctx.mirrored ? 'scale(-1, 1)' : undefined
  }, _ctx.$attrs), [renderSlot(_ctx.$slots, "default"), _ctx.weight === 'bold' ? (openBlock(), createElementBlock("g", _hoisted_2, [createElementVNode("path", {
    d: "M208,144c0-72-80-120-80-120S48,72,48,144a80,80,0,0,0,160,0Z",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "24"
  }, null, 8, _hoisted_3), createElementVNode("path", {
    d: "M88,184a40,40,0,0,0,80,0c0-40-40-64-40-64S88,144,88,184Z",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "24"
  }, null, 8, _hoisted_4)])) : _ctx.weight === 'duotone' ? (openBlock(), createElementBlock("g", _hoisted_5, [_hoisted_6, createElementVNode("path", {
    d: "M208,144c0-72-80-120-80-120S48,72,48,144a80,80,0,0,0,160,0Z",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "16"
  }, null, 8, _hoisted_7), createElementVNode("path", {
    d: "M88,184a40,40,0,0,0,80,0c0-40-40-64-40-64S88,144,88,184Z",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "16"
  }, null, 8, _hoisted_8)])) : _ctx.weight === 'fill' ? (openBlock(), createElementBlock("g", _hoisted_9, _hoisted_11)) : _ctx.weight === 'light' ? (openBlock(), createElementBlock("g", _hoisted_12, [createElementVNode("path", {
    d: "M208,144c0-72-80-120-80-120S48,72,48,144a80,80,0,0,0,160,0Z",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "12"
  }, null, 8, _hoisted_13), createElementVNode("path", {
    d: "M88,184a40,40,0,0,0,80,0c0-40-40-64-40-64S88,144,88,184Z",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "12"
  }, null, 8, _hoisted_14)])) : _ctx.weight === 'thin' ? (openBlock(), createElementBlock("g", _hoisted_15, [createElementVNode("path", {
    d: "M208,144c0-72-80-120-80-120S48,72,48,144a80,80,0,0,0,160,0Z",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "8"
  }, null, 8, _hoisted_16), createElementVNode("path", {
    d: "M88,184a40,40,0,0,0,80,0c0-40-40-64-40-64S88,144,88,184Z",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "8"
  }, null, 8, _hoisted_17)])) : _ctx.weight === 'regular' ? (openBlock(), createElementBlock("g", _hoisted_18, [createElementVNode("path", {
    d: "M208,144c0-72-80-120-80-120S48,72,48,144a80,80,0,0,0,160,0Z",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "16"
  }, null, 8, _hoisted_19), createElementVNode("path", {
    d: "M88,184a40,40,0,0,0,80,0c0-40-40-64-40-64S88,144,88,184Z",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "16"
  }, null, 8, _hoisted_20)])) : createCommentVNode("", true)], 16, _hoisted_1);
}

export { render };
