import { openBlock, createElementBlock, mergeProps, renderSlot, createElementVNode, createCommentVNode } from 'vue';

const _hoisted_1 = ["width", "height", "fill", "transform"];
const _hoisted_2 = {
  key: 0
};

const _hoisted_3 = /*#__PURE__*/createElementVNode("circle", {
  cx: "128",
  cy: "184",
  r: "16"
}, null, -1);

const _hoisted_4 = ["stroke"];
const _hoisted_5 = ["stroke"];
const _hoisted_6 = ["stroke"];
const _hoisted_7 = ["stroke"];
const _hoisted_8 = {
  key: 1
};

const _hoisted_9 = /*#__PURE__*/createElementVNode("path", {
  d: "M188,92a20.1,20.1,0,0,0-20,20V52a20,20,0,0,0-40,0V36a20,20,0,0,0-40,0V68a20,20,0,0,0-40,0v84a80,80,0,0,0,160,0V112A20.1,20.1,0,0,0,188,92Zm-14.6,80.4c-5.7,8.8-20.8,27.6-45.4,27.6s-39.7-18.8-45.4-27.6a8.2,8.2,0,0,1,0-8.8c5.7-8.8,20.8-27.6,45.4-27.6s39.7,18.8,45.4,27.6A8.2,8.2,0,0,1,173.4,172.4Z",
  opacity: "0.2"
}, null, -1);

const _hoisted_10 = ["stroke"];
const _hoisted_11 = ["stroke"];
const _hoisted_12 = ["stroke"];
const _hoisted_13 = ["stroke"];

const _hoisted_14 = /*#__PURE__*/createElementVNode("circle", {
  cx: "128",
  cy: "168",
  r: "12"
}, null, -1);

const _hoisted_15 = {
  key: 2
};

const _hoisted_16 = /*#__PURE__*/createElementVNode("path", {
  d: "M188,84a28.2,28.2,0,0,0-12,2.7V52a28.1,28.1,0,0,0-28-28,27.8,27.8,0,0,0-13.4,3.4A28,28,0,0,0,80,36v6.7A28,28,0,0,0,40,68v84a88,88,0,0,0,176,0V112A28.1,28.1,0,0,0,188,84Zm12,68a72,72,0,0,1-144,0V68a12,12,0,0,1,24,0v44a8,8,0,0,0,16,0V36a12,12,0,0,1,24,0v68a8,8,0,0,0,16,0V52a12,12,0,0,1,24,0v64a8,8,0,0,0,16,0v-4a12,12,0,0,1,24,0Zm-72-16c-26.7,0-43,20.6-48.8,29.4a12.1,12.1,0,0,0,0,13.2C85,187.4,101.3,208,128,208s43-20.6,48.8-29.4a12.1,12.1,0,0,0,0-13.2C171,156.6,154.7,136,128,136Zm0,52a16,16,0,1,1,16-16A16,16,0,0,1,128,188Z"
}, null, -1);

const _hoisted_17 = [_hoisted_16];
const _hoisted_18 = {
  key: 3
};
const _hoisted_19 = ["stroke"];
const _hoisted_20 = ["stroke"];
const _hoisted_21 = ["stroke"];
const _hoisted_22 = ["stroke"];

const _hoisted_23 = /*#__PURE__*/createElementVNode("circle", {
  cx: "128",
  cy: "168",
  r: "10"
}, null, -1);

const _hoisted_24 = {
  key: 4
};
const _hoisted_25 = ["stroke"];
const _hoisted_26 = ["stroke"];
const _hoisted_27 = ["stroke"];
const _hoisted_28 = ["stroke"];

const _hoisted_29 = /*#__PURE__*/createElementVNode("circle", {
  cx: "128",
  cy: "168",
  r: "8"
}, null, -1);

const _hoisted_30 = {
  key: 5
};
const _hoisted_31 = ["stroke"];
const _hoisted_32 = ["stroke"];
const _hoisted_33 = ["stroke"];
const _hoisted_34 = ["stroke"];

const _hoisted_35 = /*#__PURE__*/createElementVNode("circle", {
  cx: "128",
  cy: "168",
  r: "12"
}, null, -1);

function render(_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createElementBlock("svg", mergeProps({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 256 256",
    width: _ctx.size,
    height: _ctx.size,
    fill: _ctx.color,
    transform: _ctx.mirrored ? 'scale(-1, 1)' : undefined
  }, _ctx.$attrs), [renderSlot(_ctx.$slots, "default"), _ctx.weight === 'bold' ? (openBlock(), createElementBlock("g", _hoisted_2, [_hoisted_3, createElementVNode("path", {
    d: "M88,68V36a20,20,0,0,1,40,0v68",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "24"
  }, null, 8, _hoisted_4), createElementVNode("path", {
    d: "M168,168s-8-28-40-28-40,28-40,28",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "24"
  }, null, 8, _hoisted_5), createElementVNode("path", {
    d: "M128,52a20,20,0,0,1,40,0v60",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "24"
  }, null, 8, _hoisted_6), createElementVNode("path", {
    d: "M168,116v-4a20,20,0,0,1,40,0v40a80,80,0,0,1-160,0V68a20,20,0,0,1,40,0v44",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "24"
  }, null, 8, _hoisted_7)])) : _ctx.weight === 'duotone' ? (openBlock(), createElementBlock("g", _hoisted_8, [_hoisted_9, createElementVNode("path", {
    d: "M88,68V36a20,20,0,0,1,40,0v68",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "16"
  }, null, 8, _hoisted_10), createElementVNode("path", {
    d: "M82.6,163.6a8.2,8.2,0,0,0,0,8.8c5.7,8.8,20.8,27.6,45.4,27.6s39.7-18.8,45.4-27.6a8.2,8.2,0,0,0,0-8.8c-5.7-8.8-20.8-27.6-45.4-27.6S88.3,154.8,82.6,163.6Z",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "16"
  }, null, 8, _hoisted_11), createElementVNode("path", {
    d: "M128,52a20,20,0,0,1,40,0v60",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "16"
  }, null, 8, _hoisted_12), createElementVNode("path", {
    d: "M168,116v-4a20,20,0,0,1,40,0v40a80,80,0,0,1-160,0V68a20,20,0,0,1,40,0v44",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "16"
  }, null, 8, _hoisted_13), _hoisted_14])) : _ctx.weight === 'fill' ? (openBlock(), createElementBlock("g", _hoisted_15, _hoisted_17)) : _ctx.weight === 'light' ? (openBlock(), createElementBlock("g", _hoisted_18, [createElementVNode("path", {
    d: "M88,68V36a20,20,0,0,1,40,0v68",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "12"
  }, null, 8, _hoisted_19), createElementVNode("path", {
    d: "M82.6,163.6a8.2,8.2,0,0,0,0,8.8c5.7,8.8,20.8,27.6,45.4,27.6s39.7-18.8,45.4-27.6a8.2,8.2,0,0,0,0-8.8c-5.7-8.8-20.8-27.6-45.4-27.6S88.3,154.8,82.6,163.6Z",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "12"
  }, null, 8, _hoisted_20), createElementVNode("path", {
    d: "M128,52a20,20,0,0,1,40,0v60",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "12"
  }, null, 8, _hoisted_21), createElementVNode("path", {
    d: "M168,116v-4a20,20,0,0,1,40,0v40a80,80,0,0,1-160,0V68a20,20,0,0,1,40,0v44",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "12"
  }, null, 8, _hoisted_22), _hoisted_23])) : _ctx.weight === 'thin' ? (openBlock(), createElementBlock("g", _hoisted_24, [createElementVNode("path", {
    d: "M88,68V36a20,20,0,0,1,40,0v68",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "8"
  }, null, 8, _hoisted_25), createElementVNode("path", {
    d: "M82.6,163.6a8.2,8.2,0,0,0,0,8.8c5.7,8.8,20.8,27.6,45.4,27.6s39.7-18.8,45.4-27.6a8.2,8.2,0,0,0,0-8.8c-5.7-8.8-20.8-27.6-45.4-27.6S88.3,154.8,82.6,163.6Z",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "8"
  }, null, 8, _hoisted_26), createElementVNode("path", {
    d: "M128,52a20,20,0,0,1,40,0v60",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "8"
  }, null, 8, _hoisted_27), createElementVNode("path", {
    d: "M168,116v-4a20,20,0,0,1,40,0v40a80,80,0,0,1-160,0V68a20,20,0,0,1,40,0v44",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "8"
  }, null, 8, _hoisted_28), _hoisted_29])) : _ctx.weight === 'regular' ? (openBlock(), createElementBlock("g", _hoisted_30, [createElementVNode("path", {
    d: "M88,68V36a20,20,0,0,1,40,0v68",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "16"
  }, null, 8, _hoisted_31), createElementVNode("path", {
    d: "M82.6,163.6a8.2,8.2,0,0,0,0,8.8c5.7,8.8,20.8,27.6,45.4,27.6s39.7-18.8,45.4-27.6a8.2,8.2,0,0,0,0-8.8c-5.7-8.8-20.8-27.6-45.4-27.6S88.3,154.8,82.6,163.6Z",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "16"
  }, null, 8, _hoisted_32), createElementVNode("path", {
    d: "M128,52a20,20,0,0,1,40,0v60",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "16"
  }, null, 8, _hoisted_33), createElementVNode("path", {
    d: "M168,116v-4a20,20,0,0,1,40,0v40a80,80,0,0,1-160,0V68a20,20,0,0,1,40,0v44",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "16"
  }, null, 8, _hoisted_34), _hoisted_35])) : createCommentVNode("", true)], 16, _hoisted_1);
}

export { render };
