import { openBlock, createElementBlock, mergeProps, renderSlot, createElementVNode, createCommentVNode } from 'vue';

const _hoisted_1 = ["width", "height", "fill", "transform"];
const _hoisted_2 = {
  key: 0
};
const _hoisted_3 = ["stroke"];

const _hoisted_4 = /*#__PURE__*/createElementVNode("circle", {
  cx: "128",
  cy: "76",
  r: "16"
}, null, -1);

const _hoisted_5 = /*#__PURE__*/createElementVNode("circle", {
  cx: "83",
  cy: "102",
  r: "16"
}, null, -1);

const _hoisted_6 = /*#__PURE__*/createElementVNode("circle", {
  cx: "83",
  cy: "154",
  r: "16"
}, null, -1);

const _hoisted_7 = /*#__PURE__*/createElementVNode("circle", {
  cx: "173",
  cy: "102",
  r: "16"
}, null, -1);

const _hoisted_8 = {
  key: 1
};

const _hoisted_9 = /*#__PURE__*/createElementVNode("path", {
  d: "M221.6,149.4a96.2,96.2,0,0,0,2.4-22.2c-.4-52.9-44.2-95.7-97-95.2A96,96,0,0,0,96,218.5a23.9,23.9,0,0,0,32-22.6V192a23.9,23.9,0,0,1,24-24h46.2A24,24,0,0,0,221.6,149.4Z",
  opacity: "0.2"
}, null, -1);

const _hoisted_10 = ["stroke"];

const _hoisted_11 = /*#__PURE__*/createElementVNode("circle", {
  cx: "128",
  cy: "76",
  r: "12"
}, null, -1);

const _hoisted_12 = /*#__PURE__*/createElementVNode("circle", {
  cx: "83",
  cy: "102",
  r: "12"
}, null, -1);

const _hoisted_13 = /*#__PURE__*/createElementVNode("circle", {
  cx: "83",
  cy: "154",
  r: "12"
}, null, -1);

const _hoisted_14 = /*#__PURE__*/createElementVNode("circle", {
  cx: "173",
  cy: "102",
  r: "12"
}, null, -1);

const _hoisted_15 = {
  key: 2
};

const _hoisted_16 = /*#__PURE__*/createElementVNode("path", {
  d: "M200.8,53.9A103.4,103.4,0,0,0,128,24h-1.1A104,104,0,0,0,93.4,226.1,32,32,0,0,0,136,195.9V192a16,16,0,0,1,16-16h46.2a31.7,31.7,0,0,0,31.2-24.9,101.5,101.5,0,0,0,2.6-24A102.9,102.9,0,0,0,200.8,53.9ZM89,164.4A12,12,0,1,1,93.4,148,12,12,0,0,1,89,164.4ZM93.4,108A12,12,0,1,1,89,91.6,12.1,12.1,0,0,1,93.4,108ZM128,88a12,12,0,1,1,12-12A12,12,0,0,1,128,88Zm51,24.4A12,12,0,1,1,183.4,96,12.1,12.1,0,0,1,179,112.4Z"
}, null, -1);

const _hoisted_17 = [_hoisted_16];
const _hoisted_18 = {
  key: 3
};
const _hoisted_19 = ["stroke"];

const _hoisted_20 = /*#__PURE__*/createElementVNode("circle", {
  cx: "128",
  cy: "76",
  r: "10"
}, null, -1);

const _hoisted_21 = /*#__PURE__*/createElementVNode("circle", {
  cx: "83",
  cy: "102",
  r: "10"
}, null, -1);

const _hoisted_22 = /*#__PURE__*/createElementVNode("circle", {
  cx: "83",
  cy: "154",
  r: "10"
}, null, -1);

const _hoisted_23 = /*#__PURE__*/createElementVNode("circle", {
  cx: "173",
  cy: "102",
  r: "10"
}, null, -1);

const _hoisted_24 = {
  key: 4
};
const _hoisted_25 = ["stroke"];

const _hoisted_26 = /*#__PURE__*/createElementVNode("circle", {
  cx: "128",
  cy: "76",
  r: "8"
}, null, -1);

const _hoisted_27 = /*#__PURE__*/createElementVNode("circle", {
  cx: "83",
  cy: "102",
  r: "8"
}, null, -1);

const _hoisted_28 = /*#__PURE__*/createElementVNode("circle", {
  cx: "83",
  cy: "154",
  r: "8"
}, null, -1);

const _hoisted_29 = /*#__PURE__*/createElementVNode("circle", {
  cx: "173",
  cy: "102",
  r: "8"
}, null, -1);

const _hoisted_30 = {
  key: 5
};
const _hoisted_31 = ["stroke"];

const _hoisted_32 = /*#__PURE__*/createElementVNode("circle", {
  cx: "128",
  cy: "76",
  r: "12"
}, null, -1);

const _hoisted_33 = /*#__PURE__*/createElementVNode("circle", {
  cx: "83",
  cy: "102",
  r: "12"
}, null, -1);

const _hoisted_34 = /*#__PURE__*/createElementVNode("circle", {
  cx: "83",
  cy: "154",
  r: "12"
}, null, -1);

const _hoisted_35 = /*#__PURE__*/createElementVNode("circle", {
  cx: "173",
  cy: "102",
  r: "12"
}, null, -1);

function render(_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createElementBlock("svg", mergeProps({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 256 256",
    width: _ctx.size,
    height: _ctx.size,
    fill: _ctx.color,
    transform: _ctx.mirrored ? 'scale(-1, 1)' : undefined
  }, _ctx.$attrs), [renderSlot(_ctx.$slots, "default"), _ctx.weight === 'bold' ? (openBlock(), createElementBlock("g", _hoisted_2, [createElementVNode("path", {
    d: "M221.6,149.4a96.2,96.2,0,0,0,2.4-22.2c-.4-52.9-44.2-95.7-97-95.2A96,96,0,0,0,96,218.5a23.9,23.9,0,0,0,32-22.6V192a23.9,23.9,0,0,1,24-24h46.2A24,24,0,0,0,221.6,149.4Z",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "24"
  }, null, 8, _hoisted_3), _hoisted_4, _hoisted_5, _hoisted_6, _hoisted_7])) : _ctx.weight === 'duotone' ? (openBlock(), createElementBlock("g", _hoisted_8, [_hoisted_9, createElementVNode("path", {
    d: "M221.6,149.4a96.2,96.2,0,0,0,2.4-22.2c-.4-52.9-44.2-95.7-97-95.2A96,96,0,0,0,96,218.5a23.9,23.9,0,0,0,32-22.6V192a23.9,23.9,0,0,1,24-24h46.2A24,24,0,0,0,221.6,149.4Z",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "16"
  }, null, 8, _hoisted_10), _hoisted_11, _hoisted_12, _hoisted_13, _hoisted_14])) : _ctx.weight === 'fill' ? (openBlock(), createElementBlock("g", _hoisted_15, _hoisted_17)) : _ctx.weight === 'light' ? (openBlock(), createElementBlock("g", _hoisted_18, [createElementVNode("path", {
    d: "M221.6,149.4a96.2,96.2,0,0,0,2.4-22.2c-.4-52.9-44.2-95.7-97-95.2A96,96,0,0,0,96,218.5a23.9,23.9,0,0,0,32-22.6V192a23.9,23.9,0,0,1,24-24h46.2A24,24,0,0,0,221.6,149.4Z",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "12"
  }, null, 8, _hoisted_19), _hoisted_20, _hoisted_21, _hoisted_22, _hoisted_23])) : _ctx.weight === 'thin' ? (openBlock(), createElementBlock("g", _hoisted_24, [createElementVNode("path", {
    d: "M221.6,149.4a96.2,96.2,0,0,0,2.4-22.2c-.4-52.9-44.2-95.7-97-95.2A96,96,0,0,0,96,218.5a23.9,23.9,0,0,0,32-22.6V192a23.9,23.9,0,0,1,24-24h46.2A24,24,0,0,0,221.6,149.4Z",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "8"
  }, null, 8, _hoisted_25), _hoisted_26, _hoisted_27, _hoisted_28, _hoisted_29])) : _ctx.weight === 'regular' ? (openBlock(), createElementBlock("g", _hoisted_30, [createElementVNode("path", {
    d: "M221.6,149.4a96.2,96.2,0,0,0,2.4-22.2c-.4-52.9-44.2-95.7-97-95.2A96,96,0,0,0,96,218.5a23.9,23.9,0,0,0,32-22.6V192a23.9,23.9,0,0,1,24-24h46.2A24,24,0,0,0,221.6,149.4Z",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "16"
  }, null, 8, _hoisted_31), _hoisted_32, _hoisted_33, _hoisted_34, _hoisted_35])) : createCommentVNode("", true)], 16, _hoisted_1);
}

export { render };
