import { openBlock, createElementBlock, mergeProps, renderSlot, createElementVNode, createCommentVNode } from 'vue';

const _hoisted_1 = ["width", "height", "fill", "transform"];
const _hoisted_2 = {
  key: 0
};
const _hoisted_3 = ["stroke"];
const _hoisted_4 = ["stroke"];

const _hoisted_5 = /*#__PURE__*/createElementVNode("circle", {
  cx: "128",
  cy: "176",
  r: "16"
}, null, -1);

const _hoisted_6 = {
  key: 1
};

const _hoisted_7 = /*#__PURE__*/createElementVNode("path", {
  d: "M114.2,40l-88,152A16,16,0,0,0,40,216H216a16,16,0,0,0,13.8-24l-88-152A15.9,15.9,0,0,0,114.2,40Z",
  opacity: "0.2"
}, null, -1);

const _hoisted_8 = ["stroke"];
const _hoisted_9 = ["stroke"];

const _hoisted_10 = /*#__PURE__*/createElementVNode("circle", {
  cx: "128",
  cy: "180",
  r: "12"
}, null, -1);

const _hoisted_11 = {
  key: 2
};

const _hoisted_12 = /*#__PURE__*/createElementVNode("path", {
  d: "M236.7,188,148.8,36a24,24,0,0,0-41.6,0h0L19.3,188A23.9,23.9,0,0,0,40,224H216a23.9,23.9,0,0,0,20.7-36ZM120,104a8,8,0,0,1,16,0v40a8,8,0,0,1-16,0Zm8,88a12,12,0,1,1,12-12A12,12,0,0,1,128,192Z"
}, null, -1);

const _hoisted_13 = [_hoisted_12];
const _hoisted_14 = {
  key: 3
};
const _hoisted_15 = ["stroke"];
const _hoisted_16 = ["stroke"];

const _hoisted_17 = /*#__PURE__*/createElementVNode("circle", {
  cx: "128",
  cy: "180",
  r: "10"
}, null, -1);

const _hoisted_18 = {
  key: 4
};
const _hoisted_19 = ["stroke"];
const _hoisted_20 = ["stroke"];

const _hoisted_21 = /*#__PURE__*/createElementVNode("circle", {
  cx: "128",
  cy: "180",
  r: "8"
}, null, -1);

const _hoisted_22 = {
  key: 5
};
const _hoisted_23 = ["stroke"];
const _hoisted_24 = ["stroke"];

const _hoisted_25 = /*#__PURE__*/createElementVNode("circle", {
  cx: "128",
  cy: "180",
  r: "12"
}, null, -1);

function render(_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createElementBlock("svg", mergeProps({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 256 256",
    width: _ctx.size,
    height: _ctx.size,
    fill: _ctx.color,
    transform: _ctx.mirrored ? 'scale(-1, 1)' : undefined
  }, _ctx.$attrs), [renderSlot(_ctx.$slots, "default"), _ctx.weight === 'bold' ? (openBlock(), createElementBlock("g", _hoisted_2, [createElementVNode("line", {
    x1: "128",
    y1: "104",
    x2: "128",
    y2: "136",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "24"
  }, null, 8, _hoisted_3), createElementVNode("path", {
    d: "M114.2,40l-88,152A16,16,0,0,0,40,216H216a16,16,0,0,0,13.8-24l-88-152A15.9,15.9,0,0,0,114.2,40Z",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "24"
  }, null, 8, _hoisted_4), _hoisted_5])) : _ctx.weight === 'duotone' ? (openBlock(), createElementBlock("g", _hoisted_6, [_hoisted_7, createElementVNode("line", {
    x1: "128",
    y1: "112",
    x2: "128",
    y2: "144",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "16"
  }, null, 8, _hoisted_8), createElementVNode("path", {
    d: "M114.2,40l-88,152A16,16,0,0,0,40,216H216a16,16,0,0,0,13.8-24l-88-152A15.9,15.9,0,0,0,114.2,40Z",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "16"
  }, null, 8, _hoisted_9), _hoisted_10])) : _ctx.weight === 'fill' ? (openBlock(), createElementBlock("g", _hoisted_11, _hoisted_13)) : _ctx.weight === 'light' ? (openBlock(), createElementBlock("g", _hoisted_14, [createElementVNode("line", {
    x1: "128",
    y1: "104",
    x2: "128",
    y2: "144",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "12"
  }, null, 8, _hoisted_15), createElementVNode("path", {
    d: "M114.2,40l-88,152A16,16,0,0,0,40,216H216a16,16,0,0,0,13.8-24l-88-152A15.9,15.9,0,0,0,114.2,40Z",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "12"
  }, null, 8, _hoisted_16), _hoisted_17])) : _ctx.weight === 'thin' ? (openBlock(), createElementBlock("g", _hoisted_18, [createElementVNode("line", {
    x1: "128",
    y1: "104",
    x2: "128",
    y2: "144",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "8"
  }, null, 8, _hoisted_19), createElementVNode("path", {
    d: "M114.2,40l-88,152A16,16,0,0,0,40,216H216a16,16,0,0,0,13.8-24l-88-152A15.9,15.9,0,0,0,114.2,40Z",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "8"
  }, null, 8, _hoisted_20), _hoisted_21])) : _ctx.weight === 'regular' ? (openBlock(), createElementBlock("g", _hoisted_22, [createElementVNode("line", {
    x1: "128",
    y1: "104",
    x2: "128",
    y2: "144",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "16"
  }, null, 8, _hoisted_23), createElementVNode("path", {
    d: "M114.2,40l-88,152A16,16,0,0,0,40,216H216a16,16,0,0,0,13.8-24l-88-152A15.9,15.9,0,0,0,114.2,40Z",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "16"
  }, null, 8, _hoisted_24), _hoisted_25])) : createCommentVNode("", true)], 16, _hoisted_1);
}

export { render };
