import { openBlock, createElementBlock, mergeProps, renderSlot, createElementVNode, createCommentVNode } from 'vue';

const _hoisted_1 = ["width", "height", "fill", "transform"];
const _hoisted_2 = {
  key: 0
};
const _hoisted_3 = ["stroke"];
const _hoisted_4 = {
  key: 1
};

const _hoisted_5 = /*#__PURE__*/createElementVNode("polygon", {
  points: "24 128 128 64 128 192 232 128 24 128",
  opacity: "0.2"
}, null, -1);

const _hoisted_6 = ["stroke"];
const _hoisted_7 = {
  key: 2
};

const _hoisted_8 = /*#__PURE__*/createElementVNode("path", {
  d: "M128,200a7.8,7.8,0,0,1-3.9-1,8.1,8.1,0,0,1-4.1-7V78.3L28.2,134.8a8,8,0,0,1-8.4-13.6l104-64A8,8,0,0,1,136,64V177.7l91.8-56.5a8,8,0,0,1,8.4,13.6l-104,64A7.9,7.9,0,0,1,128,200Z"
}, null, -1);

const _hoisted_9 = [_hoisted_8];
const _hoisted_10 = {
  key: 3
};
const _hoisted_11 = ["stroke"];
const _hoisted_12 = {
  key: 4
};
const _hoisted_13 = ["stroke"];
const _hoisted_14 = {
  key: 5
};
const _hoisted_15 = ["stroke"];
function render(_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createElementBlock("svg", mergeProps({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 256 256",
    width: _ctx.size,
    height: _ctx.size,
    fill: _ctx.color,
    transform: _ctx.mirrored ? 'scale(-1, 1)' : undefined
  }, _ctx.$attrs), [renderSlot(_ctx.$slots, "default"), _ctx.weight === 'bold' ? (openBlock(), createElementBlock("g", _hoisted_2, [createElementVNode("polyline", {
    points: "24 128 128 64 128 192 232 128",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "24"
  }, null, 8, _hoisted_3)])) : _ctx.weight === 'duotone' ? (openBlock(), createElementBlock("g", _hoisted_4, [_hoisted_5, createElementVNode("polyline", {
    points: "24 128 128 64 128 192 232 128",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "16"
  }, null, 8, _hoisted_6)])) : _ctx.weight === 'fill' ? (openBlock(), createElementBlock("g", _hoisted_7, _hoisted_9)) : _ctx.weight === 'light' ? (openBlock(), createElementBlock("g", _hoisted_10, [createElementVNode("polyline", {
    points: "24 128 128 64 128 192 232 128",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "12"
  }, null, 8, _hoisted_11)])) : _ctx.weight === 'thin' ? (openBlock(), createElementBlock("g", _hoisted_12, [createElementVNode("polyline", {
    points: "24 128 128 64 128 192 232 128",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "8"
  }, null, 8, _hoisted_13)])) : _ctx.weight === 'regular' ? (openBlock(), createElementBlock("g", _hoisted_14, [createElementVNode("polyline", {
    points: "24 128 128 64 128 192 232 128",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "16"
  }, null, 8, _hoisted_15)])) : createCommentVNode("", true)], 16, _hoisted_1);
}

export { render };
