import { openBlock, createElementBlock, mergeProps, renderSlot, createElementVNode, createCommentVNode } from 'vue';

const _hoisted_1 = ["width", "height", "fill", "transform"];
const _hoisted_2 = {
  key: 0
};

const _hoisted_3 = /*#__PURE__*/createElementVNode("circle", {
  cx: "128",
  cy: "200",
  r: "16"
}, null, -1);

const _hoisted_4 = [_hoisted_3];
const _hoisted_5 = {
  key: 1
};
const _hoisted_6 = ["stroke"];
const _hoisted_7 = {
  key: 2
};

const _hoisted_8 = /*#__PURE__*/createElementVNode("path", {
  d: "M128,219.7a16,16,0,0,1-12.1-5.6L12.9,92.7A15.8,15.8,0,0,1,9.2,80.5a16.3,16.3,0,0,1,6.2-11c66.3-50,158.9-50,225.2,0a16.3,16.3,0,0,1,6.2,11,16,16,0,0,1-3.7,12.2l-103,121.4A16,16,0,0,1,128,219.7ZM25.1,82.3h0L128,203.6,230.9,82.4v-.2C170.4,36.6,85.7,36.6,25.1,82.3Zm-.1,0Zm-4.8-6.4Z"
}, null, -1);

const _hoisted_9 = [_hoisted_8];
const _hoisted_10 = {
  key: 3
};

const _hoisted_11 = /*#__PURE__*/createElementVNode("circle", {
  cx: "128",
  cy: "200",
  r: "10"
}, null, -1);

const _hoisted_12 = [_hoisted_11];
const _hoisted_13 = {
  key: 4
};

const _hoisted_14 = /*#__PURE__*/createElementVNode("circle", {
  cx: "128",
  cy: "200",
  r: "8"
}, null, -1);

const _hoisted_15 = [_hoisted_14];
const _hoisted_16 = {
  key: 5
};

const _hoisted_17 = /*#__PURE__*/createElementVNode("circle", {
  cx: "128",
  cy: "200",
  r: "12"
}, null, -1);

const _hoisted_18 = [_hoisted_17];
function render(_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createElementBlock("svg", mergeProps({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 256 256",
    width: _ctx.size,
    height: _ctx.size,
    fill: _ctx.color,
    transform: _ctx.mirrored ? 'scale(-1, 1)' : undefined
  }, _ctx.$attrs), [renderSlot(_ctx.$slots, "default"), _ctx.weight === 'bold' ? (openBlock(), createElementBlock("g", _hoisted_2, _hoisted_4)) : _ctx.weight === 'duotone' ? (openBlock(), createElementBlock("g", _hoisted_5, [createElementVNode("path", {
    d: "M20.2,75.9C83.7,28,172.3,28,235.8,75.9A8.1,8.1,0,0,1,237,87.5c-19,22.5-83,97.8-103,121.4a7.9,7.9,0,0,1-12,0C102,185.3,38,110,19,87.5A8.1,8.1,0,0,1,20.2,75.9Z",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "16"
  }, null, 8, _hoisted_6)])) : _ctx.weight === 'fill' ? (openBlock(), createElementBlock("g", _hoisted_7, _hoisted_9)) : _ctx.weight === 'light' ? (openBlock(), createElementBlock("g", _hoisted_10, _hoisted_12)) : _ctx.weight === 'thin' ? (openBlock(), createElementBlock("g", _hoisted_13, _hoisted_15)) : _ctx.weight === 'regular' ? (openBlock(), createElementBlock("g", _hoisted_16, _hoisted_18)) : createCommentVNode("", true)], 16, _hoisted_1);
}

export { render };
