import { openBlock, createElementBlock, mergeProps, renderSlot, createElementVNode, createCommentVNode } from 'vue';

const _hoisted_1 = ["width", "height", "fill", "transform"];
const _hoisted_2 = {
  key: 0
};
const _hoisted_3 = ["stroke"];
const _hoisted_4 = ["stroke"];
const _hoisted_5 = {
  key: 1
};

const _hoisted_6 = /*#__PURE__*/createElementVNode("path", {
  d: "M206.6,94.6a32,32,0,0,0-45.2-45.2L128,82.7,173.3,128Z",
  opacity: "0.2"
}, null, -1);

const _hoisted_7 = /*#__PURE__*/createElementVNode("path", {
  d: "M49.4,161.4a32,32,0,0,0,45.2,45.2L128,173.3,82.7,128Z",
  opacity: "0.2"
}, null, -1);

const _hoisted_8 = /*#__PURE__*/createElementVNode("path", {
  d: "M94.6,49.4A32,32,0,0,0,49.4,94.6L82.7,128,128,82.7Z",
  opacity: "0.2"
}, null, -1);

const _hoisted_9 = /*#__PURE__*/createElementVNode("path", {
  d: "M173.3,128,128,173.3l33.4,33.3a32,32,0,0,0,45.2-45.2Z",
  opacity: "0.2"
}, null, -1);

const _hoisted_10 = ["stroke"];
const _hoisted_11 = ["stroke"];
const _hoisted_12 = ["stroke"];

const _hoisted_13 = /*#__PURE__*/createElementVNode("circle", {
  cx: "128",
  cy: "128",
  r: "12"
}, null, -1);

const _hoisted_14 = {
  key: 2
};

const _hoisted_15 = /*#__PURE__*/createElementVNode("circle", {
  cx: "128",
  cy: "128",
  r: "12"
}, null, -1);

const _hoisted_16 = /*#__PURE__*/createElementVNode("path", {
  d: "M184.6,128l27.7-27.7a40,40,0,0,0-56.6-56.6L128,71.4,100.3,43.7a40,40,0,0,0-56.6,56.6L71.4,128,43.7,155.7a40,40,0,0,0,56.6,56.6L128,184.6l27.7,27.7a40,40,0,0,0,56.6-56.6ZM128,94.1,161.9,128,128,161.9,94.1,128ZM167,55a24,24,0,0,1,34,34l-27.7,27.7-34-34ZM89,201a24,24,0,0,1-34-34l27.7-27.7,34,34Z"
}, null, -1);

const _hoisted_17 = [_hoisted_15, _hoisted_16];
const _hoisted_18 = {
  key: 3
};
const _hoisted_19 = ["stroke"];
const _hoisted_20 = ["stroke"];
const _hoisted_21 = ["stroke"];

const _hoisted_22 = /*#__PURE__*/createElementVNode("circle", {
  cx: "128",
  cy: "128",
  r: "10"
}, null, -1);

const _hoisted_23 = {
  key: 4
};
const _hoisted_24 = ["stroke"];
const _hoisted_25 = ["stroke"];
const _hoisted_26 = ["stroke"];

const _hoisted_27 = /*#__PURE__*/createElementVNode("circle", {
  cx: "128",
  cy: "128",
  r: "8"
}, null, -1);

const _hoisted_28 = {
  key: 5
};
const _hoisted_29 = ["stroke"];
const _hoisted_30 = ["stroke"];
const _hoisted_31 = ["stroke"];

const _hoisted_32 = /*#__PURE__*/createElementVNode("circle", {
  cx: "128",
  cy: "128",
  r: "12"
}, null, -1);

function render(_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createElementBlock("svg", mergeProps({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 256 256",
    width: _ctx.size,
    height: _ctx.size,
    fill: _ctx.color,
    transform: _ctx.mirrored ? 'scale(-1, 1)' : undefined
  }, _ctx.$attrs), [renderSlot(_ctx.$slots, "default"), _ctx.weight === 'bold' ? (openBlock(), createElementBlock("g", _hoisted_2, [createElementVNode("path", {
    d: "M49.4,94.6A32,32,0,0,1,94.6,49.4l112,112a32,32,0,0,1-45.2,45.2Z",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "24"
  }, null, 8, _hoisted_3), createElementVNode("path", {
    d: "M161.4,49.4a32,32,0,0,1,45.2,45.2l-112,112a32,32,0,0,1-45.2-45.2Z",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "24"
  }, null, 8, _hoisted_4)])) : _ctx.weight === 'duotone' ? (openBlock(), createElementBlock("g", _hoisted_5, [_hoisted_6, _hoisted_7, _hoisted_8, _hoisted_9, createElementVNode("path", {
    d: "M49.4,94.6A32,32,0,0,1,94.6,49.4l112,112a32,32,0,0,1-45.2,45.2Z",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "16"
  }, null, 8, _hoisted_10), createElementVNode("path", {
    d: "M161.4,49.4a32,32,0,0,1,45.2,45.2l-112,112a32,32,0,0,1-45.2-45.2Z",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "16"
  }, null, 8, _hoisted_11), createElementVNode("circle", {
    cx: "128",
    cy: "128",
    r: "4",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "16",
    opacity: "0.5"
  }, null, 8, _hoisted_12), _hoisted_13])) : _ctx.weight === 'fill' ? (openBlock(), createElementBlock("g", _hoisted_14, _hoisted_17)) : _ctx.weight === 'light' ? (openBlock(), createElementBlock("g", _hoisted_18, [createElementVNode("path", {
    d: "M49.4,94.6A32,32,0,0,1,94.6,49.4l112,112a32,32,0,0,1-45.2,45.2Z",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "12"
  }, null, 8, _hoisted_19), createElementVNode("path", {
    d: "M161.4,49.4a32,32,0,0,1,45.2,45.2l-112,112a32,32,0,0,1-45.2-45.2Z",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "12"
  }, null, 8, _hoisted_20), createElementVNode("circle", {
    cx: "128",
    cy: "128",
    r: "4",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "12",
    opacity: "0.5"
  }, null, 8, _hoisted_21), _hoisted_22])) : _ctx.weight === 'thin' ? (openBlock(), createElementBlock("g", _hoisted_23, [createElementVNode("path", {
    d: "M161.4,49.4a32,32,0,0,1,45.2,45.2l-112,112a32,32,0,0,1-45.2-45.2Z",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "8"
  }, null, 8, _hoisted_24), createElementVNode("path", {
    d: "M49.4,94.6A32,32,0,0,1,94.6,49.4l112,112a32,32,0,0,1-45.2,45.2Z",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "8"
  }, null, 8, _hoisted_25), createElementVNode("circle", {
    cx: "128",
    cy: "128",
    r: "4",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "8",
    opacity: "0.5"
  }, null, 8, _hoisted_26), _hoisted_27])) : _ctx.weight === 'regular' ? (openBlock(), createElementBlock("g", _hoisted_28, [createElementVNode("path", {
    d: "M49.4,94.6A32,32,0,0,1,94.6,49.4l112,112a32,32,0,0,1-45.2,45.2Z",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "16"
  }, null, 8, _hoisted_29), createElementVNode("path", {
    d: "M161.4,49.4a32,32,0,0,1,45.2,45.2l-112,112a32,32,0,0,1-45.2-45.2Z",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "16"
  }, null, 8, _hoisted_30), createElementVNode("circle", {
    cx: "128",
    cy: "128",
    r: "4",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "16",
    opacity: "0.5"
  }, null, 8, _hoisted_31), _hoisted_32])) : createCommentVNode("", true)], 16, _hoisted_1);
}

export { render };
