import { openBlock, createElementBlock, mergeProps, renderSlot, createElementVNode, createCommentVNode } from 'vue';

const _hoisted_1 = ["width", "height", "fill", "transform"];
const _hoisted_2 = {
  key: 0
};
const _hoisted_3 = ["stroke"];

const _hoisted_4 = /*#__PURE__*/createElementVNode("circle", {
  cx: "132",
  cy: "128",
  r: "16"
}, null, -1);

const _hoisted_5 = /*#__PURE__*/createElementVNode("circle", {
  cx: "180",
  cy: "128",
  r: "16"
}, null, -1);

const _hoisted_6 = /*#__PURE__*/createElementVNode("circle", {
  cx: "84",
  cy: "128",
  r: "16"
}, null, -1);

const _hoisted_7 = {
  key: 1
};

const _hoisted_8 = /*#__PURE__*/createElementVNode("path", {
  d: "M132,216H47.7a7.6,7.6,0,0,1-7.7-7.7V124a92,92,0,0,1,92-92h0a92,92,0,0,1,92,92h0A92,92,0,0,1,132,216Z",
  opacity: "0.2"
}, null, -1);

const _hoisted_9 = ["stroke"];

const _hoisted_10 = /*#__PURE__*/createElementVNode("circle", {
  cx: "132",
  cy: "128",
  r: "12"
}, null, -1);

const _hoisted_11 = /*#__PURE__*/createElementVNode("circle", {
  cx: "84",
  cy: "128",
  r: "12"
}, null, -1);

const _hoisted_12 = /*#__PURE__*/createElementVNode("circle", {
  cx: "180",
  cy: "128",
  r: "12"
}, null, -1);

const _hoisted_13 = {
  key: 2
};

const _hoisted_14 = /*#__PURE__*/createElementVNode("path", {
  d: "M132,24A100.2,100.2,0,0,0,32,124v84.3A15.7,15.7,0,0,0,47.7,224H132a100,100,0,0,0,0-200ZM84,140a12,12,0,1,1,12-12A12,12,0,0,1,84,140Zm48,0a12,12,0,1,1,12-12A12,12,0,0,1,132,140Zm48,0a12,12,0,1,1,12-12A12,12,0,0,1,180,140Z"
}, null, -1);

const _hoisted_15 = [_hoisted_14];
const _hoisted_16 = {
  key: 3
};
const _hoisted_17 = ["stroke"];

const _hoisted_18 = /*#__PURE__*/createElementVNode("circle", {
  cx: "132",
  cy: "128",
  r: "10"
}, null, -1);

const _hoisted_19 = /*#__PURE__*/createElementVNode("circle", {
  cx: "180",
  cy: "128",
  r: "10"
}, null, -1);

const _hoisted_20 = /*#__PURE__*/createElementVNode("circle", {
  cx: "84",
  cy: "128",
  r: "10"
}, null, -1);

const _hoisted_21 = {
  key: 4
};
const _hoisted_22 = ["stroke"];

const _hoisted_23 = /*#__PURE__*/createElementVNode("circle", {
  cx: "132",
  cy: "128",
  r: "8"
}, null, -1);

const _hoisted_24 = /*#__PURE__*/createElementVNode("circle", {
  cx: "84",
  cy: "128",
  r: "8"
}, null, -1);

const _hoisted_25 = /*#__PURE__*/createElementVNode("circle", {
  cx: "180",
  cy: "128",
  r: "8"
}, null, -1);

const _hoisted_26 = {
  key: 5
};
const _hoisted_27 = ["stroke"];

const _hoisted_28 = /*#__PURE__*/createElementVNode("circle", {
  cx: "132",
  cy: "128",
  r: "12"
}, null, -1);

const _hoisted_29 = /*#__PURE__*/createElementVNode("circle", {
  cx: "84",
  cy: "128",
  r: "12"
}, null, -1);

const _hoisted_30 = /*#__PURE__*/createElementVNode("circle", {
  cx: "180",
  cy: "128",
  r: "12"
}, null, -1);

function render(_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createElementBlock("svg", mergeProps({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 256 256",
    width: _ctx.size,
    height: _ctx.size,
    fill: _ctx.color,
    transform: _ctx.mirrored ? 'scale(-1, 1)' : undefined
  }, _ctx.$attrs), [renderSlot(_ctx.$slots, "default"), _ctx.weight === 'bold' ? (openBlock(), createElementBlock("g", _hoisted_2, [createElementVNode("path", {
    d: "M132,216H47.7a7.6,7.6,0,0,1-7.7-7.7V124a92,92,0,0,1,92-92h0a92,92,0,0,1,92,92h0A92,92,0,0,1,132,216Z",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "24"
  }, null, 8, _hoisted_3), _hoisted_4, _hoisted_5, _hoisted_6])) : _ctx.weight === 'duotone' ? (openBlock(), createElementBlock("g", _hoisted_7, [_hoisted_8, createElementVNode("path", {
    d: "M132,216H47.7a7.6,7.6,0,0,1-7.7-7.7V124a92,92,0,0,1,92-92h0a92,92,0,0,1,92,92h0A92,92,0,0,1,132,216Z",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "16"
  }, null, 8, _hoisted_9), _hoisted_10, _hoisted_11, _hoisted_12])) : _ctx.weight === 'fill' ? (openBlock(), createElementBlock("g", _hoisted_13, _hoisted_15)) : _ctx.weight === 'light' ? (openBlock(), createElementBlock("g", _hoisted_16, [createElementVNode("path", {
    d: "M132,216H47.7a7.6,7.6,0,0,1-7.7-7.7V124a92,92,0,0,1,92-92h0a92,92,0,0,1,92,92h0A92,92,0,0,1,132,216Z",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "12"
  }, null, 8, _hoisted_17), _hoisted_18, _hoisted_19, _hoisted_20])) : _ctx.weight === 'thin' ? (openBlock(), createElementBlock("g", _hoisted_21, [createElementVNode("path", {
    d: "M132,216H47.7a7.6,7.6,0,0,1-7.7-7.7V124a92,92,0,0,1,92-92h0a92,92,0,0,1,92,92h0A92,92,0,0,1,132,216Z",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "8"
  }, null, 8, _hoisted_22), _hoisted_23, _hoisted_24, _hoisted_25])) : _ctx.weight === 'regular' ? (openBlock(), createElementBlock("g", _hoisted_26, [createElementVNode("path", {
    d: "M132,216H47.7a7.6,7.6,0,0,1-7.7-7.7V124a92,92,0,0,1,92-92h0a92,92,0,0,1,92,92h0A92,92,0,0,1,132,216Z",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "16"
  }, null, 8, _hoisted_27), _hoisted_28, _hoisted_29, _hoisted_30])) : createCommentVNode("", true)], 16, _hoisted_1);
}

export { render };
