import { openBlock, createElementBlock, mergeProps, renderSlot, createElementVNode, createCommentVNode, createStaticVNode } from 'vue';

const _hoisted_1 = ["width", "height", "fill", "transform"];
const _hoisted_2 = {
  key: 0
};
const _hoisted_3 = ["stroke"];

const _hoisted_4 = /*#__PURE__*/createElementVNode("circle", {
  cx: "160",
  cy: "216",
  r: "16"
}, null, -1);

const _hoisted_5 = /*#__PURE__*/createElementVNode("circle", {
  cx: "112",
  cy: "216",
  r: "16"
}, null, -1);

const _hoisted_6 = /*#__PURE__*/createElementVNode("circle", {
  cx: "64",
  cy: "216",
  r: "16"
}, null, -1);

const _hoisted_7 = {
  key: 1
};

const _hoisted_8 = /*#__PURE__*/createElementVNode("path", {
  d: "M88,92a68,68,0,1,1,68,68H76a44,44,0,0,1,0-88,42.5,42.5,0,0,1,14.3,2.4",
  opacity: "0.2"
}, null, -1);

const _hoisted_9 = ["stroke"];

const _hoisted_10 = /*#__PURE__*/createStaticVNode("<circle cx=\"76\" cy=\"196\" r=\"12\"></circle><circle cx=\"116\" cy=\"212\" r=\"12\"></circle><circle cx=\"164\" cy=\"196\" r=\"12\"></circle><circle cx=\"68\" cy=\"236\" r=\"12\"></circle><circle cx=\"156\" cy=\"236\" r=\"12\"></circle>", 5);

const _hoisted_15 = {
  key: 2
};

const _hoisted_16 = /*#__PURE__*/createElementVNode("path", {
  d: "M176,196a12,12,0,1,1-12-12A12,12,0,0,1,176,196ZM76,184a12,12,0,1,0,12,12A12,12,0,0,0,76,184Zm40,16a12,12,0,1,0,12,12A12,12,0,0,0,116,200ZM68,224a12,12,0,1,0,12,12A12,12,0,0,0,68,224Zm88,0a12,12,0,1,0,12,12A12,12,0,0,0,156,224Zm3.3-207.9A76.1,76.1,0,0,0,85,64.8h0a74.8,74.8,0,0,0-5,26.9,8.3,8.3,0,0,1-7.4,8.3A8,8,0,0,1,64,92a91.6,91.6,0,0,1,2.4-21.1,4,4,0,0,0-5-4.8A52.1,52.1,0,0,0,24,116.3C24.2,145,48.1,168,76.8,168H156a76,76,0,0,0,3.3-151.9Z"
}, null, -1);

const _hoisted_17 = [_hoisted_16];
const _hoisted_18 = {
  key: 3
};
const _hoisted_19 = ["stroke"];

const _hoisted_20 = /*#__PURE__*/createStaticVNode("<circle cx=\"76\" cy=\"196\" r=\"10\"></circle><circle cx=\"116\" cy=\"212\" r=\"10\"></circle><circle cx=\"164\" cy=\"196\" r=\"10\"></circle><circle cx=\"68\" cy=\"236\" r=\"10\"></circle><circle cx=\"156\" cy=\"236\" r=\"10\"></circle>", 5);

const _hoisted_25 = {
  key: 4
};
const _hoisted_26 = ["stroke"];

const _hoisted_27 = /*#__PURE__*/createStaticVNode("<circle cx=\"76\" cy=\"196\" r=\"8\"></circle><circle cx=\"116\" cy=\"212\" r=\"8\"></circle><circle cx=\"164\" cy=\"196\" r=\"8\"></circle><circle cx=\"68\" cy=\"236\" r=\"8\"></circle><circle cx=\"156\" cy=\"236\" r=\"8\"></circle>", 5);

const _hoisted_32 = {
  key: 5
};
const _hoisted_33 = ["stroke"];

const _hoisted_34 = /*#__PURE__*/createStaticVNode("<circle cx=\"76\" cy=\"196\" r=\"12\"></circle><circle cx=\"116\" cy=\"212\" r=\"12\"></circle><circle cx=\"164\" cy=\"196\" r=\"12\"></circle><circle cx=\"68\" cy=\"236\" r=\"12\"></circle><circle cx=\"156\" cy=\"236\" r=\"12\"></circle>", 5);

function render(_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createElementBlock("svg", mergeProps({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 256 256",
    width: _ctx.size,
    height: _ctx.size,
    fill: _ctx.color,
    transform: _ctx.mirrored ? 'scale(-1, 1)' : undefined
  }, _ctx.$attrs), [renderSlot(_ctx.$slots, "default"), _ctx.weight === 'bold' ? (openBlock(), createElementBlock("g", _hoisted_2, [createElementVNode("path", {
    d: "M88,96a68,68,0,1,1,68,68H76a44,44,0,0,1,0-88,42.5,42.5,0,0,1,14.3,2.4",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "24"
  }, null, 8, _hoisted_3), _hoisted_4, _hoisted_5, _hoisted_6])) : _ctx.weight === 'duotone' ? (openBlock(), createElementBlock("g", _hoisted_7, [_hoisted_8, createElementVNode("path", {
    d: "M88,92a68,68,0,1,1,68,68H76a44,44,0,0,1,0-88,42.5,42.5,0,0,1,14.3,2.4",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "16"
  }, null, 8, _hoisted_9), _hoisted_10])) : _ctx.weight === 'fill' ? (openBlock(), createElementBlock("g", _hoisted_15, _hoisted_17)) : _ctx.weight === 'light' ? (openBlock(), createElementBlock("g", _hoisted_18, [createElementVNode("path", {
    d: "M88,92a68,68,0,1,1,68,68H76a44,44,0,0,1,0-88,42.5,42.5,0,0,1,14.3,2.4",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "12"
  }, null, 8, _hoisted_19), _hoisted_20])) : _ctx.weight === 'thin' ? (openBlock(), createElementBlock("g", _hoisted_25, [createElementVNode("path", {
    d: "M88,92a68,68,0,1,1,68,68H76a44,44,0,0,1,0-88,42.5,42.5,0,0,1,14.3,2.4",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "8"
  }, null, 8, _hoisted_26), _hoisted_27])) : _ctx.weight === 'regular' ? (openBlock(), createElementBlock("g", _hoisted_32, [createElementVNode("path", {
    d: "M88,92a68,68,0,1,1,68,68H76a44,44,0,0,1,0-88,42.5,42.5,0,0,1,14.3,2.4",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "16"
  }, null, 8, _hoisted_33), _hoisted_34])) : createCommentVNode("", true)], 16, _hoisted_1);
}

export { render };
