import { openBlock, createElementBlock, mergeProps, renderSlot, createElementVNode, createCommentVNode } from 'vue';

const _hoisted_1 = ["width", "height", "fill", "transform"];
const _hoisted_2 = {
  key: 0
};
const _hoisted_3 = ["stroke"];
const _hoisted_4 = ["stroke"];
const _hoisted_5 = ["stroke"];

const _hoisted_6 = /*#__PURE__*/createElementVNode("circle", {
  cx: "128",
  cy: "184",
  r: "16"
}, null, -1);

const _hoisted_7 = {
  key: 1
};

const _hoisted_8 = /*#__PURE__*/createElementVNode("rect", {
  x: "32",
  y: "56",
  width: "192",
  height: "144",
  rx: "8",
  transform: "translate(256 0) rotate(90)",
  opacity: "0.2"
}, null, -1);

const _hoisted_9 = ["stroke"];
const _hoisted_10 = ["stroke"];
const _hoisted_11 = ["stroke"];

const _hoisted_12 = /*#__PURE__*/createElementVNode("circle", {
  cx: "128",
  cy: "180",
  r: "12"
}, null, -1);

const _hoisted_13 = {
  key: 2
};

const _hoisted_14 = /*#__PURE__*/createElementVNode("path", {
  d: "M192,24H64A16,16,0,0,0,48,40V216a16,16,0,0,0,16,16H192a16,16,0,0,0,16-16V40A16,16,0,0,0,192,24ZM128,192a12,12,0,1,1,12-12A12,12,0,0,1,128,192Zm32-80H96a8,8,0,0,1,0-16h64a8,8,0,0,1,0,16Zm0-32H96a8,8,0,0,1,0-16h64a8,8,0,0,1,0,16Z"
}, null, -1);

const _hoisted_15 = [_hoisted_14];
const _hoisted_16 = {
  key: 3
};
const _hoisted_17 = ["stroke"];
const _hoisted_18 = ["stroke"];
const _hoisted_19 = ["stroke"];

const _hoisted_20 = /*#__PURE__*/createElementVNode("circle", {
  cx: "128",
  cy: "180",
  r: "10"
}, null, -1);

const _hoisted_21 = {
  key: 4
};
const _hoisted_22 = ["stroke"];
const _hoisted_23 = ["stroke"];
const _hoisted_24 = ["stroke"];

const _hoisted_25 = /*#__PURE__*/createElementVNode("circle", {
  cx: "128",
  cy: "180",
  r: "8"
}, null, -1);

const _hoisted_26 = {
  key: 5
};
const _hoisted_27 = ["stroke"];
const _hoisted_28 = ["stroke"];
const _hoisted_29 = ["stroke"];

const _hoisted_30 = /*#__PURE__*/createElementVNode("circle", {
  cx: "128",
  cy: "180",
  r: "12"
}, null, -1);

function render(_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createElementBlock("svg", mergeProps({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 256 256",
    width: _ctx.size,
    height: _ctx.size,
    fill: _ctx.color,
    transform: _ctx.mirrored ? 'scale(-1, 1)' : undefined
  }, _ctx.$attrs), [renderSlot(_ctx.$slots, "default"), _ctx.weight === 'bold' ? (openBlock(), createElementBlock("g", _hoisted_2, [createElementVNode("line", {
    x1: "160",
    y1: "76",
    x2: "96",
    y2: "76",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "24"
  }, null, 8, _hoisted_3), createElementVNode("line", {
    x1: "160",
    y1: "116",
    x2: "96",
    y2: "116",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "24"
  }, null, 8, _hoisted_4), createElementVNode("rect", {
    x: "32",
    y: "56",
    width: "192",
    height: "144",
    rx: "8",
    transform: "translate(256 0) rotate(90)",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "24"
  }, null, 8, _hoisted_5), _hoisted_6])) : _ctx.weight === 'duotone' ? (openBlock(), createElementBlock("g", _hoisted_7, [_hoisted_8, createElementVNode("line", {
    x1: "160",
    y1: "72",
    x2: "96",
    y2: "72",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "16"
  }, null, 8, _hoisted_9), createElementVNode("line", {
    x1: "160",
    y1: "104",
    x2: "96",
    y2: "104",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "16"
  }, null, 8, _hoisted_10), createElementVNode("rect", {
    x: "32",
    y: "56",
    width: "192",
    height: "144",
    rx: "8",
    transform: "translate(256 0) rotate(90)",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "16"
  }, null, 8, _hoisted_11), _hoisted_12])) : _ctx.weight === 'fill' ? (openBlock(), createElementBlock("g", _hoisted_13, _hoisted_15)) : _ctx.weight === 'light' ? (openBlock(), createElementBlock("g", _hoisted_16, [createElementVNode("line", {
    x1: "160",
    y1: "72",
    x2: "96",
    y2: "72",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "12"
  }, null, 8, _hoisted_17), createElementVNode("line", {
    x1: "160",
    y1: "104",
    x2: "96",
    y2: "104",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "12"
  }, null, 8, _hoisted_18), createElementVNode("rect", {
    x: "32",
    y: "56",
    width: "192",
    height: "144",
    rx: "8",
    transform: "translate(256 0) rotate(90)",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "12"
  }, null, 8, _hoisted_19), _hoisted_20])) : _ctx.weight === 'thin' ? (openBlock(), createElementBlock("g", _hoisted_21, [createElementVNode("line", {
    x1: "160",
    y1: "72",
    x2: "96",
    y2: "72",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "8"
  }, null, 8, _hoisted_22), createElementVNode("line", {
    x1: "160",
    y1: "104",
    x2: "96",
    y2: "104",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "8"
  }, null, 8, _hoisted_23), createElementVNode("rect", {
    x: "32",
    y: "56",
    width: "192",
    height: "144",
    rx: "8",
    transform: "translate(256 0) rotate(90)",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "8"
  }, null, 8, _hoisted_24), _hoisted_25])) : _ctx.weight === 'regular' ? (openBlock(), createElementBlock("g", _hoisted_26, [createElementVNode("line", {
    x1: "160",
    y1: "72",
    x2: "96",
    y2: "72",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "16"
  }, null, 8, _hoisted_27), createElementVNode("line", {
    x1: "160",
    y1: "104",
    x2: "96",
    y2: "104",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "16"
  }, null, 8, _hoisted_28), createElementVNode("rect", {
    x: "32",
    y: "56",
    width: "192",
    height: "144",
    rx: "8",
    transform: "translate(256 0) rotate(90)",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "16"
  }, null, 8, _hoisted_29), _hoisted_30])) : createCommentVNode("", true)], 16, _hoisted_1);
}

export { render };
