import { openBlock, createElementBlock, mergeProps, renderSlot, createElementVNode, createCommentVNode, createStaticVNode } from 'vue';

const _hoisted_1 = ["width", "height", "fill", "transform"];
const _hoisted_2 = {
  key: 0
};
const _hoisted_3 = ["stroke"];

const _hoisted_4 = /*#__PURE__*/createStaticVNode("<circle cx=\"96\" cy=\"84\" r=\"16\"></circle><circle cx=\"160\" cy=\"84\" r=\"16\"></circle><circle cx=\"96\" cy=\"128\" r=\"16\"></circle><circle cx=\"160\" cy=\"128\" r=\"16\"></circle><circle cx=\"96\" cy=\"172\" r=\"16\"></circle><circle cx=\"160\" cy=\"172\" r=\"16\"></circle>", 6);

const _hoisted_10 = {
  key: 1
};

const _hoisted_11 = /*#__PURE__*/createElementVNode("rect", {
  x: "40",
  y: "40",
  width: "176",
  height: "176",
  rx: "24",
  opacity: "0.2"
}, null, -1);

const _hoisted_12 = ["stroke"];

const _hoisted_13 = /*#__PURE__*/createStaticVNode("<circle cx=\"92\" cy=\"84\" r=\"12\"></circle><circle cx=\"164\" cy=\"84\" r=\"12\"></circle><circle cx=\"92\" cy=\"128\" r=\"12\"></circle><circle cx=\"164\" cy=\"128\" r=\"12\"></circle><circle cx=\"92\" cy=\"172\" r=\"12\"></circle><circle cx=\"164\" cy=\"172\" r=\"12\"></circle>", 6);

const _hoisted_19 = {
  key: 2
};

const _hoisted_20 = /*#__PURE__*/createElementVNode("path", {
  d: "M192,32H64A32.1,32.1,0,0,0,32,64V192a32.1,32.1,0,0,0,32,32H192a32.1,32.1,0,0,0,32-32V64A32.1,32.1,0,0,0,192,32ZM92,184a12,12,0,1,1,12-12A12,12,0,0,1,92,184Zm0-44a12,12,0,1,1,12-12A12,12,0,0,1,92,140Zm0-44a12,12,0,1,1,12-12A12,12,0,0,1,92,96Zm72,88a12,12,0,1,1,12-12A12,12,0,0,1,164,184Zm0-44a12,12,0,1,1,12-12A12,12,0,0,1,164,140Zm0-44a12,12,0,1,1,12-12A12,12,0,0,1,164,96Z"
}, null, -1);

const _hoisted_21 = [_hoisted_20];
const _hoisted_22 = {
  key: 3
};
const _hoisted_23 = ["stroke"];

const _hoisted_24 = /*#__PURE__*/createStaticVNode("<circle cx=\"92\" cy=\"84\" r=\"10\"></circle><circle cx=\"164\" cy=\"84\" r=\"10\"></circle><circle cx=\"92\" cy=\"128\" r=\"10\"></circle><circle cx=\"164\" cy=\"128\" r=\"10\"></circle><circle cx=\"92\" cy=\"172\" r=\"10\"></circle><circle cx=\"164\" cy=\"172\" r=\"10\"></circle>", 6);

const _hoisted_30 = {
  key: 4
};
const _hoisted_31 = ["stroke"];

const _hoisted_32 = /*#__PURE__*/createStaticVNode("<circle cx=\"92\" cy=\"84\" r=\"8\"></circle><circle cx=\"164\" cy=\"84\" r=\"8\"></circle><circle cx=\"92\" cy=\"128\" r=\"8\"></circle><circle cx=\"164\" cy=\"128\" r=\"8\"></circle><circle cx=\"92\" cy=\"172\" r=\"8\"></circle><circle cx=\"164\" cy=\"172\" r=\"8\"></circle>", 6);

const _hoisted_38 = {
  key: 5
};
const _hoisted_39 = ["stroke"];

const _hoisted_40 = /*#__PURE__*/createStaticVNode("<circle cx=\"92\" cy=\"84\" r=\"12\"></circle><circle cx=\"164\" cy=\"84\" r=\"12\"></circle><circle cx=\"92\" cy=\"128\" r=\"12\"></circle><circle cx=\"164\" cy=\"128\" r=\"12\"></circle><circle cx=\"92\" cy=\"172\" r=\"12\"></circle><circle cx=\"164\" cy=\"172\" r=\"12\"></circle>", 6);

function render(_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createElementBlock("svg", mergeProps({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 256 256",
    width: _ctx.size,
    height: _ctx.size,
    fill: _ctx.color,
    transform: _ctx.mirrored ? 'scale(-1, 1)' : undefined
  }, _ctx.$attrs), [renderSlot(_ctx.$slots, "default"), _ctx.weight === 'bold' ? (openBlock(), createElementBlock("g", _hoisted_2, [createElementVNode("rect", {
    x: "40",
    y: "40",
    width: "176",
    height: "176",
    rx: "24",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "24"
  }, null, 8, _hoisted_3), _hoisted_4])) : _ctx.weight === 'duotone' ? (openBlock(), createElementBlock("g", _hoisted_10, [_hoisted_11, createElementVNode("rect", {
    x: "40",
    y: "40",
    width: "176",
    height: "176",
    rx: "24",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "16"
  }, null, 8, _hoisted_12), _hoisted_13])) : _ctx.weight === 'fill' ? (openBlock(), createElementBlock("g", _hoisted_19, _hoisted_21)) : _ctx.weight === 'light' ? (openBlock(), createElementBlock("g", _hoisted_22, [createElementVNode("rect", {
    x: "40",
    y: "40",
    width: "176",
    height: "176",
    rx: "24",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "12"
  }, null, 8, _hoisted_23), _hoisted_24])) : _ctx.weight === 'thin' ? (openBlock(), createElementBlock("g", _hoisted_30, [createElementVNode("rect", {
    x: "40",
    y: "40",
    width: "176",
    height: "176",
    rx: "24",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "8"
  }, null, 8, _hoisted_31), _hoisted_32])) : _ctx.weight === 'regular' ? (openBlock(), createElementBlock("g", _hoisted_38, [createElementVNode("rect", {
    x: "40",
    y: "40",
    width: "176",
    height: "176",
    rx: "24",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "16"
  }, null, 8, _hoisted_39), _hoisted_40])) : createCommentVNode("", true)], 16, _hoisted_1);
}

export { render };
