import { openBlock, createElementBlock, mergeProps, renderSlot, createCommentVNode, createStaticVNode, createElementVNode } from 'vue';

const _hoisted_1 = ["width", "height", "fill", "transform"];
const _hoisted_2 = {
  key: 0
};

const _hoisted_3 = /*#__PURE__*/createStaticVNode("<circle cx=\"60\" cy=\"60\" r=\"16\"></circle><circle cx=\"128\" cy=\"60\" r=\"16\"></circle><circle cx=\"196\" cy=\"60\" r=\"16\"></circle><circle cx=\"60\" cy=\"128\" r=\"16\"></circle><circle cx=\"128\" cy=\"128\" r=\"16\"></circle><circle cx=\"196\" cy=\"128\" r=\"16\"></circle><circle cx=\"60\" cy=\"196\" r=\"16\"></circle><circle cx=\"128\" cy=\"196\" r=\"16\"></circle><circle cx=\"196\" cy=\"196\" r=\"16\"></circle>", 9);

const _hoisted_12 = [_hoisted_3];
const _hoisted_13 = {
  key: 1
};

const _hoisted_14 = /*#__PURE__*/createStaticVNode("<circle cx=\"60\" cy=\"60\" r=\"12\"></circle><circle cx=\"128\" cy=\"60\" r=\"12\"></circle><circle cx=\"196\" cy=\"60\" r=\"12\"></circle><circle cx=\"60\" cy=\"128\" r=\"12\"></circle><circle cx=\"128\" cy=\"128\" r=\"12\"></circle><circle cx=\"196\" cy=\"128\" r=\"12\"></circle><circle cx=\"60\" cy=\"196\" r=\"12\"></circle><circle cx=\"128\" cy=\"196\" r=\"12\"></circle><circle cx=\"196\" cy=\"196\" r=\"12\"></circle>", 9);

const _hoisted_23 = [_hoisted_14];
const _hoisted_24 = {
  key: 2
};

const _hoisted_25 = /*#__PURE__*/createElementVNode("path", {
  d: "M60,48A12,12,0,1,0,72,60,12,12,0,0,0,60,48Zm68,0a12,12,0,1,0,12,12A12,12,0,0,0,128,48Zm68,24a12,12,0,1,0-12-12A12,12,0,0,0,196,72ZM60,184a12,12,0,1,0,12,12A12,12,0,0,0,60,184Zm68,0a12,12,0,1,0,12,12A12,12,0,0,0,128,184Zm68,0a12,12,0,1,0,12,12A12,12,0,0,0,196,184ZM60,116a12,12,0,1,0,12,12A12,12,0,0,0,60,116Zm68,0a12,12,0,1,0,12,12A12,12,0,0,0,128,116Zm68,0a12,12,0,1,0,12,12A12,12,0,0,0,196,116Z"
}, null, -1);

const _hoisted_26 = [_hoisted_25];
const _hoisted_27 = {
  key: 3
};

const _hoisted_28 = /*#__PURE__*/createStaticVNode("<circle cx=\"60\" cy=\"60\" r=\"10\"></circle><circle cx=\"128\" cy=\"60\" r=\"10\"></circle><circle cx=\"196\" cy=\"60\" r=\"10\"></circle><circle cx=\"60\" cy=\"128\" r=\"10\"></circle><circle cx=\"128\" cy=\"128\" r=\"10\"></circle><circle cx=\"196\" cy=\"128\" r=\"10\"></circle><circle cx=\"60\" cy=\"196\" r=\"10\"></circle><circle cx=\"128\" cy=\"196\" r=\"10\"></circle><circle cx=\"196\" cy=\"196\" r=\"10\"></circle>", 9);

const _hoisted_37 = [_hoisted_28];
const _hoisted_38 = {
  key: 4
};

const _hoisted_39 = /*#__PURE__*/createStaticVNode("<circle cx=\"60\" cy=\"60\" r=\"8\"></circle><circle cx=\"128\" cy=\"60\" r=\"8\"></circle><circle cx=\"196\" cy=\"60\" r=\"8\"></circle><circle cx=\"60\" cy=\"128\" r=\"8\"></circle><circle cx=\"128\" cy=\"128\" r=\"8\"></circle><circle cx=\"196\" cy=\"128\" r=\"8\"></circle><circle cx=\"60\" cy=\"196\" r=\"8\"></circle><circle cx=\"128\" cy=\"196\" r=\"8\"></circle><circle cx=\"196\" cy=\"196\" r=\"8\"></circle>", 9);

const _hoisted_48 = [_hoisted_39];
const _hoisted_49 = {
  key: 5
};

const _hoisted_50 = /*#__PURE__*/createStaticVNode("<circle cx=\"60\" cy=\"60\" r=\"12\"></circle><circle cx=\"128\" cy=\"60\" r=\"12\"></circle><circle cx=\"196\" cy=\"60\" r=\"12\"></circle><circle cx=\"60\" cy=\"128\" r=\"12\"></circle><circle cx=\"128\" cy=\"128\" r=\"12\"></circle><circle cx=\"196\" cy=\"128\" r=\"12\"></circle><circle cx=\"60\" cy=\"196\" r=\"12\"></circle><circle cx=\"128\" cy=\"196\" r=\"12\"></circle><circle cx=\"196\" cy=\"196\" r=\"12\"></circle>", 9);

const _hoisted_59 = [_hoisted_50];
function render(_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createElementBlock("svg", mergeProps({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 256 256",
    width: _ctx.size,
    height: _ctx.size,
    fill: _ctx.color,
    transform: _ctx.mirrored ? 'scale(-1, 1)' : undefined
  }, _ctx.$attrs), [renderSlot(_ctx.$slots, "default"), _ctx.weight === 'bold' ? (openBlock(), createElementBlock("g", _hoisted_2, _hoisted_12)) : _ctx.weight === 'duotone' ? (openBlock(), createElementBlock("g", _hoisted_13, _hoisted_23)) : _ctx.weight === 'fill' ? (openBlock(), createElementBlock("g", _hoisted_24, _hoisted_26)) : _ctx.weight === 'light' ? (openBlock(), createElementBlock("g", _hoisted_27, _hoisted_37)) : _ctx.weight === 'thin' ? (openBlock(), createElementBlock("g", _hoisted_38, _hoisted_48)) : _ctx.weight === 'regular' ? (openBlock(), createElementBlock("g", _hoisted_49, _hoisted_59)) : createCommentVNode("", true)], 16, _hoisted_1);
}

export { render };
