import { openBlock, createElementBlock, mergeProps, renderSlot, createElementVNode, createCommentVNode } from 'vue';

const _hoisted_1 = ["width", "height", "fill", "transform"];
const _hoisted_2 = {
  key: 0
};
const _hoisted_3 = ["stroke"];
const _hoisted_4 = ["stroke"];

const _hoisted_5 = /*#__PURE__*/createElementVNode("circle", {
  cx: "100",
  cy: "92",
  r: "16"
}, null, -1);

const _hoisted_6 = {
  key: 1
};

const _hoisted_7 = /*#__PURE__*/createElementVNode("path", {
  d: "M40,176V48a8,8,0,0,1,8-8H208a8,8,0,0,1,8,8V160h0l-42.3-42.3a8,8,0,0,0-11.4,0l-44.6,44.6a8,8,0,0,1-11.4,0L85.7,141.7a8,8,0,0,0-11.4,0Z",
  opacity: "0.2"
}, null, -1);

const _hoisted_8 = ["stroke"];
const _hoisted_9 = ["stroke"];

const _hoisted_10 = /*#__PURE__*/createElementVNode("circle", {
  cx: "100",
  cy: "92",
  r: "12"
}, null, -1);

const _hoisted_11 = {
  key: 2
};

const _hoisted_12 = /*#__PURE__*/createElementVNode("circle", {
  cx: "100",
  cy: "92",
  r: "12"
}, null, -1);

const _hoisted_13 = /*#__PURE__*/createElementVNode("path", {
  d: "M208,32H48A16,16,0,0,0,32,48V176h0v32a16,16,0,0,0,16,16H208a16,16,0,0,0,16-16V48A16,16,0,0,0,208,32Zm-28.7,80a16.1,16.1,0,0,0-22.6,0L112,156.7,91.3,136a16.1,16.1,0,0,0-22.6,0L48,156.7V48H208v92.7Z"
}, null, -1);

const _hoisted_14 = [_hoisted_12, _hoisted_13];
const _hoisted_15 = {
  key: 3
};
const _hoisted_16 = ["stroke"];
const _hoisted_17 = ["stroke"];

const _hoisted_18 = /*#__PURE__*/createElementVNode("circle", {
  cx: "100",
  cy: "92",
  r: "10"
}, null, -1);

const _hoisted_19 = {
  key: 4
};
const _hoisted_20 = ["stroke"];
const _hoisted_21 = ["stroke"];

const _hoisted_22 = /*#__PURE__*/createElementVNode("circle", {
  cx: "100",
  cy: "92",
  r: "8"
}, null, -1);

const _hoisted_23 = {
  key: 5
};
const _hoisted_24 = ["stroke"];
const _hoisted_25 = ["stroke"];

const _hoisted_26 = /*#__PURE__*/createElementVNode("circle", {
  cx: "100",
  cy: "92",
  r: "12"
}, null, -1);

function render(_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createElementBlock("svg", mergeProps({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 256 256",
    width: _ctx.size,
    height: _ctx.size,
    fill: _ctx.color,
    transform: _ctx.mirrored ? 'scale(-1, 1)' : undefined
  }, _ctx.$attrs), [renderSlot(_ctx.$slots, "default"), _ctx.weight === 'bold' ? (openBlock(), createElementBlock("g", _hoisted_2, [createElementVNode("rect", {
    x: "40",
    y: "40",
    width: "176",
    height: "176",
    rx: "8",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "24"
  }, null, 8, _hoisted_3), createElementVNode("path", {
    d: "M216,160l-42.3-42.3a8,8,0,0,0-11.4,0l-44.6,44.6a8,8,0,0,1-11.4,0L85.7,141.7a8,8,0,0,0-11.4,0L40,176",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "24"
  }, null, 8, _hoisted_4), _hoisted_5])) : _ctx.weight === 'duotone' ? (openBlock(), createElementBlock("g", _hoisted_6, [_hoisted_7, createElementVNode("rect", {
    x: "40",
    y: "40",
    width: "176",
    height: "176",
    rx: "8",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "16"
  }, null, 8, _hoisted_8), createElementVNode("path", {
    d: "M216,160l-42.3-42.3a8,8,0,0,0-11.4,0l-44.6,44.6a8,8,0,0,1-11.4,0L85.7,141.7a8,8,0,0,0-11.4,0L40,176",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "16"
  }, null, 8, _hoisted_9), _hoisted_10])) : _ctx.weight === 'fill' ? (openBlock(), createElementBlock("g", _hoisted_11, _hoisted_14)) : _ctx.weight === 'light' ? (openBlock(), createElementBlock("g", _hoisted_15, [createElementVNode("rect", {
    x: "40",
    y: "40",
    width: "176",
    height: "176",
    rx: "8",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "12"
  }, null, 8, _hoisted_16), createElementVNode("path", {
    d: "M216,160l-42.3-42.3a8,8,0,0,0-11.4,0l-44.6,44.6a8,8,0,0,1-11.4,0L85.7,141.7a8,8,0,0,0-11.4,0L40,176",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "12"
  }, null, 8, _hoisted_17), _hoisted_18])) : _ctx.weight === 'thin' ? (openBlock(), createElementBlock("g", _hoisted_19, [createElementVNode("rect", {
    x: "40",
    y: "40",
    width: "176",
    height: "176",
    rx: "8",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "8"
  }, null, 8, _hoisted_20), createElementVNode("path", {
    d: "M216,160l-42.3-42.3a8,8,0,0,0-11.4,0l-44.6,44.6a8,8,0,0,1-11.4,0L85.7,141.7a8,8,0,0,0-11.4,0L40,176",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "8"
  }, null, 8, _hoisted_21), _hoisted_22])) : _ctx.weight === 'regular' ? (openBlock(), createElementBlock("g", _hoisted_23, [createElementVNode("rect", {
    x: "40",
    y: "40",
    width: "176",
    height: "176",
    rx: "8",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "16"
  }, null, 8, _hoisted_24), createElementVNode("path", {
    d: "M216,160l-42.3-42.3a8,8,0,0,0-11.4,0l-44.6,44.6a8,8,0,0,1-11.4,0L85.7,141.7a8,8,0,0,0-11.4,0L40,176",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "16"
  }, null, 8, _hoisted_25), _hoisted_26])) : createCommentVNode("", true)], 16, _hoisted_1);
}

export { render };
