import { openBlock, createElementBlock, mergeProps, renderSlot, createElementVNode, createCommentVNode } from 'vue';

const _hoisted_1 = ["width", "height", "fill", "transform"];
const _hoisted_2 = {
  key: 0
};
const _hoisted_3 = ["stroke"];
const _hoisted_4 = ["stroke"];

const _hoisted_5 = /*#__PURE__*/createElementVNode("circle", {
  cx: "180",
  cy: "76",
  r: "16"
}, null, -1);

const _hoisted_6 = {
  key: 1
};

const _hoisted_7 = /*#__PURE__*/createElementVNode("path", {
  d: "M172,36H84A48,48,0,0,0,36,84v88a48,48,0,0,0,48,48h88a48,48,0,0,0,48-48V84A48,48,0,0,0,172,36ZM128,168a40,40,0,1,1,40-40A40,40,0,0,1,128,168Z",
  opacity: "0.2"
}, null, -1);

const _hoisted_8 = ["stroke"];
const _hoisted_9 = ["stroke"];

const _hoisted_10 = /*#__PURE__*/createElementVNode("circle", {
  cx: "180",
  cy: "76",
  r: "12"
}, null, -1);

const _hoisted_11 = {
  key: 2
};

const _hoisted_12 = /*#__PURE__*/createElementVNode("circle", {
  cx: "128",
  cy: "128",
  r: "32"
}, null, -1);

const _hoisted_13 = /*#__PURE__*/createElementVNode("path", {
  d: "M172,28H84A56,56,0,0,0,28,84v88a56,56,0,0,0,56,56h88a56,56,0,0,0,56-56V84A56,56,0,0,0,172,28ZM128,176a48,48,0,1,1,48-48A48,48,0,0,1,128,176Zm52-88a12,12,0,1,1,12-12A12,12,0,0,1,180,88Z"
}, null, -1);

const _hoisted_14 = [_hoisted_12, _hoisted_13];
const _hoisted_15 = {
  key: 3
};
const _hoisted_16 = ["stroke"];
const _hoisted_17 = ["stroke"];

const _hoisted_18 = /*#__PURE__*/createElementVNode("circle", {
  cx: "180",
  cy: "76",
  r: "10"
}, null, -1);

const _hoisted_19 = {
  key: 4
};
const _hoisted_20 = ["stroke"];
const _hoisted_21 = ["stroke"];

const _hoisted_22 = /*#__PURE__*/createElementVNode("circle", {
  cx: "180",
  cy: "76",
  r: "8"
}, null, -1);

const _hoisted_23 = {
  key: 5
};
const _hoisted_24 = ["stroke"];
const _hoisted_25 = ["stroke"];

const _hoisted_26 = /*#__PURE__*/createElementVNode("circle", {
  cx: "180",
  cy: "76",
  r: "12"
}, null, -1);

function render(_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createElementBlock("svg", mergeProps({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 256 256",
    width: _ctx.size,
    height: _ctx.size,
    fill: _ctx.color,
    transform: _ctx.mirrored ? 'scale(-1, 1)' : undefined
  }, _ctx.$attrs), [renderSlot(_ctx.$slots, "default"), _ctx.weight === 'bold' ? (openBlock(), createElementBlock("g", _hoisted_2, [createElementVNode("circle", {
    cx: "128",
    cy: "128",
    r: "34",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "24"
  }, null, 8, _hoisted_3), createElementVNode("rect", {
    x: "32",
    y: "32",
    width: "192",
    height: "192",
    rx: "48",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "24"
  }, null, 8, _hoisted_4), _hoisted_5])) : _ctx.weight === 'duotone' ? (openBlock(), createElementBlock("g", _hoisted_6, [_hoisted_7, createElementVNode("circle", {
    cx: "128",
    cy: "128",
    r: "40",
    fill: "none",
    stroke: _ctx.color,
    "stroke-miterlimit": "10",
    "stroke-width": "16"
  }, null, 8, _hoisted_8), createElementVNode("rect", {
    x: "36",
    y: "36",
    width: "184",
    height: "184",
    rx: "48",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "16"
  }, null, 8, _hoisted_9), _hoisted_10])) : _ctx.weight === 'fill' ? (openBlock(), createElementBlock("g", _hoisted_11, _hoisted_14)) : _ctx.weight === 'light' ? (openBlock(), createElementBlock("g", _hoisted_15, [createElementVNode("circle", {
    cx: "128",
    cy: "128",
    r: "40",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "12"
  }, null, 8, _hoisted_16), createElementVNode("rect", {
    x: "36",
    y: "36",
    width: "184",
    height: "184",
    rx: "48",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "12"
  }, null, 8, _hoisted_17), _hoisted_18])) : _ctx.weight === 'thin' ? (openBlock(), createElementBlock("g", _hoisted_19, [createElementVNode("circle", {
    cx: "128",
    cy: "128",
    r: "40",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "8"
  }, null, 8, _hoisted_20), createElementVNode("rect", {
    x: "36",
    y: "36",
    width: "184",
    height: "184",
    rx: "48",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "8"
  }, null, 8, _hoisted_21), _hoisted_22])) : _ctx.weight === 'regular' ? (openBlock(), createElementBlock("g", _hoisted_23, [createElementVNode("circle", {
    cx: "128",
    cy: "128",
    r: "40",
    fill: "none",
    stroke: _ctx.color,
    "stroke-miterlimit": "10",
    "stroke-width": "16"
  }, null, 8, _hoisted_24), createElementVNode("rect", {
    x: "36",
    y: "36",
    width: "184",
    height: "184",
    rx: "48",
    fill: "none",
    stroke: _ctx.color,
    "stroke-linecap": "round",
    "stroke-linejoin": "round",
    "stroke-width": "16"
  }, null, 8, _hoisted_25), _hoisted_26])) : createCommentVNode("", true)], 16, _hoisted_1);
}

export { render };
